<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

// Make sure user is an admin
if (!is_admin()) {
  $_ENV['error']->push_error(_("You do not have permission to administer files."));
  redirect();
}

if ($_GET['subaction'] == "delete") {
  if ($_POST['confirm'] == "true") {
    $sql  = "SELECT file_type,typeid,name,uploaded_on ";
    $sql .= "FROM files ";
    $sql .= "WHERE fid=?";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($_GET['fid']));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    $data = $result->fetchRow(); 
    $result->free();
    $stmt->free();
    if (!is_null($data)) {
      list($type,$id,$name,$date) = $data;
      $filename = !empty($date) ? "$date-$name" : $name;
      
      if (file_exists(_FILES_."$type/$id/$filename")) {
        unlink(_FILES_."$type/$id/$filename");
      }
      
      $result = $_ENV['dbi']->extended->autoExecute("files",
        null,
        MDB2_AUTOQUERY_DELETE,
        "fid=" . $_ENV['dbi']->quote($_GET['fid'], 'integer')); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 

      $result = $_ENV['dbi']->extended->autoExecute("events",
        array("fid" => ''),
        MDB2_AUTOQUERY_UPDATE,
        sprintf("fid=%s", $_ENV['dbi']->quote($_GET['fid'], 'integer')),
        array('integer')); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
      
      if ($type == "issues") {
        issue_log($id,sprintf(_("File %s removed from issue"),$name));
      }

      if (!empty($_GET['issueid'])) {
        redirect(_URL_."?module=issues&action=files&issueid=".$_GET['issueid']);
      }

      redirect(_URL_."?module=admin&action=files");
    }
  } else {
    $_ENV['tpl']->display("admin/files/delete.tpl");
  }
} else {
  $links[] = array(
    "txt" => _("Back to Administration"),
    "url" => "?module=admin",
    "img" => $_ENV['imgs']['back']
  );
}
?>
