<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

$sql  = "SELECT a.aid,a.title,a.message,a.posted,u.username ";
$sql .= "FROM announcements a,users u ";
$sql .= "WHERE a.is_global='t' ";
$sql .= "AND u.userid=a.userid ";
$sql .= "ORDER BY a.aid DESC LIMIT 1";
$stmt = $_ENV['dbi']->prepare($sql); 
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute();
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$system = $result->fetchRow(MDB2_FETCHMODE_ASSOC);
if ($system) {
  $_ENV['tpl']->assign('system',$system);
}
$result->free();
$stmt->free();

// DBI TODO: this is stupid -- use a join
if (isset($_SESSION['groups']) && sizeof($_SESSION['groups'])) {
  $groups = implode(",",$_SESSION['groups']);
  $stmt = $_ENV['dbi']->prepare("SELECT aid FROM announce_permissions WHERE gid in ($groups)"); // DBI TODO: safe?
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute();
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $a = $result->fetchCol(); 
  $result->free();
  $stmt->free();

  if (!empty($a)) {
    $a = implode(",",$a);
    $sql  = "SELECT aid,title ";
    $sql .= "FROM announcements ";
    $sql .= "WHERE aid IN ($a) "; // safe: just came from a db
    $sql .= "AND posted > ? ";
    $sql .= "ORDER BY aid DESC";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array(time() - _WEEK_));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);  
    $a = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
    $result->free();
    $stmt->free();
  
    $_ENV['tpl']->assign('announcements',$a);
  }
}
  
$_ENV['tpl']->display("announce/miniview.tpl");
?>
