<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if (!permission_check("create_announcements")) {
  $_ENV['error']->push_error(_("You do not have permission to create announcements."));
	redirect("?module=announce");
}


if (!empty($_POST['new_title'])) {
  if (empty($_POST['new_title'])) {
    $_ENV['error']->push_error(_("Please enter a title"));
  } else if (empty($_POST['new_text'])) {
    $_ENV['error']->push_error(_("Please enter an announcement."));
  } else if (count($_POST['groups']) < 1) {
    $_ENV['error']->push_error(_("Please choose at least one group."));
  }

  if (!$_ENV['error']->errors_pending()) {
    $insert = array();
    $types = array();
    $insert['title'] = $_POST['new_title'];
    $types[] = 'text';
    $insert['message'] = $_POST['new_text'];
    $types[] = 'text';
    $insert['is_global'] = in_array("GLOBAL",$_POST['groups']) ? "t" : "f";
    $types[] = 'text';
    $insert['posted'] = time();
    $types[] = 'integer';
    $insert['userid'] = $_SESSION['userid'];
    $types[] = 'integer';
    $result = $_ENV['dbi']->extended->autoExecute("announcements",
      $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 

    $aid = dbi_last_insert_id_fix("announcements", "aid");
    if ($aid) {
      if (!in_array("GLOBAL",$_POST['groups']) and count($_POST['groups']) > 0) {
        for ($x = 0;$x < count($_POST['groups']);$x++) {
          $insert = array();
          $types = array();
          $insert['aid'] = $aid;
          $types[] = 'integer';
          $insert['gid'] = $_POST['groups'][$x];
          $types[] = 'integer';
          $result = $_ENV['dbi']->extended->autoExecute("announce_permissions",
            $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
          $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
          unset($insert);
          unset($types);
        }
      }
    }

    redirect("?module=announce");
  }
}
$_ENV['tpl']->display("announce/new.tpl");
?>
