<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

// require employee status to change this stuff
if (!is_employee()) {
  $_ENV['error']->push_error(_("You do not have permission to edit group emails."));
  redirect();
}

if ($_GET['submit'] == "true") {
	if (!$_ENV['error']->errors_pending()) {
    $update = array();
    $types = array();
    $update['email']				= $_POST['email'];
    $types[] = 'text';
    $update['autoreply']				= $_POST['autoreply'];
    $types[] = 'text';
    $update['public']				= $_POST['public'] == "on" ? "t" : "f";
    $types[] = 'text';
    $update['auto_reopen']						= $_POST['auto_reopen'] == "on" ? "t" : "f";
    $types[] = 'text';

		$result = $_ENV['dbi']->extended->autoExecute("groups",
          $update,
          MDB2_AUTOQUERY_UPDATE,
          sprintf("gid=%s", $_ENV['dbi']->quote($_GET['gid'], 'integer')),
          $types); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 

    gen_cache("groups","gid","name");
    
		redirect("?module=groups&action=edit_email&gid=".$_GET['gid']);
	}
}

$links[] = array(
  "txt" => _("Back to Group Information"),
  "url" => "?module=groups&action=view&gid=".$_GET['gid'],
  "img" => $_ENV['imgs']['back']
);

// form query to pull group info
$sql  = "SELECT * ";
$sql .= "FROM groups ";
$sql .= "WHERE gid=? ";
$stmt = $_ENV['dbi']->prepare($sql);
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute(array($_GET['gid']));
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$group = $result->fetchRow(MDB2_FETCHMODE_ASSOC); 
$result->free();
$stmt->free();
if (is_null($group)) {
  redirect();
}
$_ENV['tpl']->assign('group',$group);

$_ENV['tpl']->display("groups/edit_email.tpl");
?>
