<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (!is_employee()) {
  $_ENV['error']->push_error(_("You do not have permission to edit group permissions."));
  redirect();
}

$stmt = $_ENV['dbi']->prepare("SELECT permsetid,name from permission_sets"); 
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute();
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$sets = array();
while (list($id,$name) = $result->fetchRow(MDB2_FETCHMODE_ORDERED)) {
  $sets[$id] = $name;
}
$_ENV['tpl']->assign('psets',$sets);
$result->free();
$stmt->free();

$members = group_members($_GET['gid']);
$_ENV['tpl']->assign('members',$members);

if ($_GET['submit'] == "true") {
	foreach ($members as $key => $val) {
		$result = $_ENV['dbi']->extended->autoExecute("group_users",
          array("perm_set" => $_POST["perm_set_$key"]),
          MDB2_AUTOQUERY_UPDATE,
          sprintf("userid=%s and gid=%s", 
                $_ENV['dbi']->quote($key, 'integer'), 
                $_ENV['dbi']->quote($_GET['gid'], 'integer')),
          array('integer')); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
		unset($update);
		$_ENV['error']->logger("$val permission set for ".group_name($_GET['gid'])." set to ".$sets[$_POST["perm_set_".$key]].".","user_permissions");
	}

  $result = $_ENV['dbi']->extended->autoExecute("group_permissions",
    null,
    MDB2_AUTOQUERY_DELETE,
    "gid=" . $_ENV['dbi']->quote($_GET['gid'], "integer")); 
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  
  if (is_array($_POST['group_perms'])) {
    foreach ($_POST['group_perms'] as $key => $val) {
      $insert = array();
      $types = array();
      $insert['gid'] = $_GET['gid'];
      $types[] = 'integer';
      $insert['permid'] = !empty($val) ? $val : 'NULL';
      $types[] = 'integer';
      $result = $_ENV['dbi']->extended->autoExecute("group_permissions",
        $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      unset($insert);
    }
  }
  
	redirect("?module=groups&action=view&gid=".$_GET['gid']);
}
	
$links[] = array(
  "txt" => _("Back to Group Information"),
  "url" => "?module=groups&action=view&gid=".$_GET['gid'],
  "img" => $_ENV['imgs']['back']
);

$stmt = $_ENV['dbi']->prepare("SELECT permid,permission FROM permissions WHERE group_perm='t'");
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute();
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$perms = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
$result->free();
$stmt->free();
$_ENV['tpl']->assign('perms',$perms);

$sql  = "SELECT permid ";
$sql .= "FROM group_permissions ";
$sql .= "WHERE gid='".$_GET['gid']."'";
$stmt = $_ENV['dbi']->prepare("SELECT permid from group_permissions where gid=?");
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute(array($_GET['gid']));
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$gperms = $result->fetchCol(); 
$result->free();
$stmt->free();
$_ENV['tpl']->assign('gperms',$gperms);

$_ENV['tpl']->display("groups/edit_permissions.tpl");
?>
