<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (!is_employee()) {
  $_ENV['error']->push_error(_("You do not have permission to view status reports."));
  redirect();
}

if (!empty($_POST['info']) and $_GET['update'] == "true") {
	if (permission_check("technician",$_GET['gid']) or is_manager()) {
    $insert = array();
    $types = array();
    $insert['gid'] = $_GET['gid'];
    $types[] = 'integer';
    $insert['userid'] = $_SESSION['userid'];
    $types[] = 'integer';
    $insert['date_entered'] = time();
    $types[] = 'integer';
    $insert['info'] = $_POST['info'];
    $types[] = 'text';
    $insert['standing'] = $_POST['stand'];
    $types[] = 'integer';
    $result = $_ENV['dbi']->extended->autoExecute("status_reports",
      $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    redirect("?module=groups&action=status");
  } else {
    redirect("?module=groups&action=status");
  }
}

if ($_GET['history'] == "true"
and (permission_check("technician",$_GET['gid']) or is_manager())) {
  $sql  = "SELECT userid,date_entered,info,standing ";
  $sql .= "FROM status_reports ";
  $sql .= "WHERE gid=? ";
  $sql .= "ORDER BY date_entered DESC";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_GET['gid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
  $history = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  $_ENV['tpl']->assign('history',$history);

  $_ENV['tpl']->display("groups/status/history.tpl");
}

if (!empty($_GET['gid'])) {
  $_ENV['tpl']->display("groups/status/update.tpl");
//	$html->form("/");
} else {
  $ugroups = implode(",",$_SESSION['groups']);
  
  $sql  = "SELECT gid,name,end_date ";
  $sql .= "FROM groups ";
  $sql .= "WHERE status_reports = 't' ";
  $sql .= !is_manager() ? "AND gid IN ($ugroups) " : ""; // vaguely safe
  $sql .= "ORDER BY name";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute();
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $groups = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  if (is_array($groups)) {
    foreach ($groups as $group) {
      $sql  = "SELECT userid,date_entered,info,standing ";
      $sql .= "FROM status_reports ";
      $sql .= "WHERE gid=? ";
      $sql .= "ORDER BY date_entered DESC LIMIT 1";
      $stmt = $_ENV['dbi']->prepare($sql);
      $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
      $result = $stmt->execute(array($group['gid']));
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      $info = $result->fetchRow(MDB2_FETCHMODE_ASSOC); 
      $result->free();
      $stmt->free();

      $summary[] = array_merge($group,$info);
    }
  }

  $_ENV['tpl']->assign('groups',$summary);
  $_ENV['tpl']->display("groups/status/summary.tpl");
}
