<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if (empty($_GET['eid'])) {
  redirect("?module=issues");
}

if (!$_ENV['config']['features']['disable_edit_admin']) {
   if ($_ENV['config']['features']['disable_edit'] and !is_admin($_SESSION['userid'])) {
     redirect("?module=issues");
   }
}

$issue = &get_issue($_GET['issueid']);
if (!$issue) {
  $_ENV['error']->push_error(_("No such issue."));
}

$event = $issue->event($_GET['eid']);
if (!$event) {
  $_ENV['error']->push_error(_("No such event."));
}

if (!is_admin() && $event->userid() != $_SESSION['userid']) {
  $_ENV['error']->push_error(_("You do not have permission to edit this event."));
}

if ($_ENV['error']->errors_pending()) {
  redirect("?module=issues&action=view&issueid=".$_GET['issueid']."&gid=".$_GET['gid']);
}

// process the POST
if ($_POST['commit'] == "true") {
  if ($_POST['event'] == "") {
    $_ENV['error']->push_error(_("Must enter something for the event."));
  }

  if (!$_ENV['error']->errors_pending()) {
    // replce with call to PEAR's Text_Diff
    /* {{{ old */
    /*
    // write file for new event
    $fp = fopen("logs/new_event","w");
    fwrite($fp,$_POST['event']);
    fclose($fp);

    // write file for old event
    $fp = fopen("logs/old_event","w");
    fwrite($fp,$old_event);
    fclose($fp);

    // get difference between files
    $diff = `/usr/bin/diff -c5 logs/old_event logs/new_event`;

    // delete tmp files
    unlink("logs/old_event");
    unlink("logs/new_event");

    // form insert array
    $insert["eid"]      = $_GET['eid'];
    $insert["modified"] = time();
    $insert["changes"]  = $diff;
    $insert["userid"]   = $_SESSION['userid'];

    // insert old event
    // (uses old DBI:) $_ENV['dbi']->insert("event_modifications",$insert);
    unset($insert);
    /*
    /* }}} */

    // set new action
    $event->action($_POST['event']);

    redirect("?module=issues&action=view&issueid=".$_GET['issueid']."&gid=".$_GET['gid']);
  }
}

// display the form
$_ENV['tpl']->assign('event', $event->action());
$_ENV['tpl']->display("issues/edit_event.tpl");
?>
