<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if (empty($_GET['issueid'])) {
  redirect();
}

if (!issue_priv($_GET['issueid'],"move_issues")) {
  redirect();
}

if (isset($_POST['confirm']) and !empty($_POST['gid'])) {
  // TODO sanity/permission-check $_POST['gid']

  $issue = &get_issue($_GET['issueid']);
  $old_gid = $issue->primary_gid();

  $groups = $issue->enumerate_groups();
  $group_already_exists = FALSE;
  foreach ($groups as $gid) {
    if ($gid != $_POST['gid']) {
      $issue->remove_group($gid);
    } else {
      $group_already_exists = TRUE;
    }
  }

  if (!$group_already_exists) {
    $issue->add_group($_POST['gid']);
  }

  $issue->primary_gid($_POST['gid']);

  issue_log($_GET['issueid'],sprintf(_("Issue moved to %s from %s"),group_name($_POST['gid']), group_name($old_gid)));

  redirect("?module=issues&action=view&issueid={$_GET['issueid']}&gid={$_POST['gid']}");
}

$_ENV['tpl']->display("issues/move.tpl");
?> 
