<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if($_GET['showall'] != "true"){
  $links[] = array(
    "img" => $_ENV['imgs']['show_closed'],
    "txt" => _("Show Closed"),
    "url" => "?module=issues&action=my_open&showall=true&gid=".$_GET['gid']);
} else {
  $links[] = array(
    "img" => $_ENV['imgs']['hide_closed'],
    "txt" => _("Hide Closed"),
    "url" => "?module=issues&action=my_open&showall=false&gid=".$_GET['gid']);
}

// fetch needed statuses
$closed = implode(",",fetch_status(array(TYPE_CLOSED,TYPE_AUTO_CLOSED)));

// Make sure we have something to sort by
if (empty($_GET['sort'])) {
  if (empty($_SESSION['prefs']['sort_by']))
    $_GET['sort'] = "status";
  else{
	  if ($_SESSION['prefs']['sort_by'] == 'g_name'){
		  	  $_GET['sort'] = "gid";
	  }else{
		  $_GET['sort'] = $_SESSION['prefs']['sort_by'];
	  }
  } 
}

$url  = "?module=issues&action=my_open";
//$url .= $_GET['showall'] != "true" ? "&showall=true" : "";
$url .= $_GET['reverse'] != "true" ? "&reverse=true" : "";
$_ENV['tpl']->assign('url',$url);

// Send current date to template, used in due date column
$_ENV['tpl']->assign('now',time());

$sql  = "SELECT i.*,u.userid AS assigned_to, ig.gid ";
$sql .= "FROM issues AS i ";
// use left joins in case ig.assigned_to is NULL
$sql .= "LEFT JOIN issue_groups AS ig ON ig.issueid=i.issueid ";
$sql .= "LEFT JOIN users AS u ON u.userid=ig.assigned_to ";
$sql .= "WHERE opened_by=? ";
$sql .= $_GET['showall'] != "true" ? "AND status NOT IN ($closed) " : ""; // safe; from fetch_status above
$sort = preg_replace('/[^a-zA-Z0-9]/', '_', $_GET['sort']); // sanitize
$sql .= "ORDER BY $sort ";
$sql .= $_GET['reverse'] != "true" ? " ASC" : " DESC";

$stmt = $_ENV['dbi']->prepare($sql);
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute(array($_SESSION['userid']));
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$issues = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
$result->free();
$stmt->free();

$num_rows = count($issues);
$total = $num_rows;
$colspan = (count($_SESSION['prefs']['show_fields']) >= 12) ? 12 : count($_SESSION['prefs']['show_fields'])+2;
$title = _("My Issues (Opened) :: Issues ")." ( ".sprintf(_("%s"), $num_rows)." )";
$_ENV['tpl']->assign('colspan',$colspan);
$_ENV['tpl']->assign('title',$title);
$_ENV['tpl']->assign('issues',$issues);
$_ENV['tpl']->display("issues/my_open.tpl");
?>
