<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (isset($_GET['submit'])) {
  foreach ($_SESSION['groups'] as $key => $val) {
    $show = isset($_POST['show'][$val]) ? $_POST['show'][$val] : 'off';
    $sub = isset($_POST['sub'][$val]) ? $_POST['sub'][$val] : 'off';

    $update = array();
    $types = array();
    $update["show_group"] = $show == "on" ? "t" : "f";
    $update["subscribed"] = $sub == "on" ? "t" : "f";
    $types[] = 'text';
    $result = $_ENV['dbi']->extended->autoExecute("group_users",
      $update,
      MDB2_AUTOQUERY_UPDATE,
      sprintf("userid=%s and gid=%s", 
          $_ENV['dbi']->quote($_SESSION['userid'], 'integer'), 
          $_ENV['dbi']->quote($val, 'text')),
      $types); 
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  }

  redirect("?module=prefs&action=group");
}

$ugroups = implode(",",$_SESSION['groups']);
$sql  = "SELECT g.gid,g.name,u.show_group,u.subscribed ";
$sql .= "FROM groups g left join group_users u using (gid)";
$sql .= "WHERE g.gid IN ($ugroups) "; // safeish
$sql .= "AND u.userid=? ";
$sql .= "AND g.gid=u.gid ";
$sql .= "ORDER BY g.name";
$stmt = $_ENV['dbi']->prepare($sql);
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute(array($_SESSION['userid']));
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$groups = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
$result->free();
$stmt->free();

$_ENV['tpl']->assign('groups',$groups);
$_ENV['tpl']->display("prefs/group.tpl");
?>
