<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (isset($_POST['submit'])) {
  $prefs = $_ENV['notif']->get_blank_prefs();

  foreach ($_POST as $k => $v) {
    $matches = array();
    if (!preg_match("/notif-([0-9]*)-([0-9]*)/", $k, $matches)) continue;
    if ($v == "on") {
      $channelid = $matches[1]+0;
      $reasonid = $matches[2]+0;
      $prefs[$reasonid][$channelid] = 1;
    }
  }

  $_ENV['notif']->set_user_prefs($_SESSION['userid'], $prefs);
} else {
  $prefs = $_ENV['notif']->get_user_prefs($_SESSION['userid']);
}

$reasons = $_ENV['notif']->enumerate_reasons();
$channels = $_ENV['notif']->enumerate_channels();

$_ENV['tpl']->assign('prefs', $prefs);
$_ENV['tpl']->assign('reasons', $reasons);
$_ENV['tpl']->assign('channels', $channels);
$_ENV['tpl']->assign('num_reasons', sizeof($reasons));
$_ENV['tpl']->assign('num_channels', sizeof($channels));

$_ENV['tpl']->display("prefs/notifications.tpl");
?>
