<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (isset($_GET['update']) and $_GET['update'] == "true") {
  if(!empty($_POST['oldpass'])){
    $sql  = "SELECT userid ";
    $sql .= "FROM users ";
    $sql .= "WHERE userid=? ";
    $sql .= "AND password=? ";
    $stmt = $_ENV['dbi']->prepare($sql); 
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($_SESSION['userid'], md5($_POST['oldpass'])));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    if ($result->numRows() == 1) {
      if($_POST['newpass'] != $_POST['confirm']){
        $_ENV['error']->push_error(_("New Password and Confirmation do not match."));
      }
    } else {
      $_ENV['error']->push_error(_("Old password is invalid."));
    }
    $result->free();
    $stmt->free();
  } else if(!empty($_POST['newpass'])) {
    $_ENV['error']->push_error(_("Old password must be given when changing password."));
  }

  if(!$_ENV['error']->errors_pending()){
    $user = &get_user($_SESSION['userid']);

    $user->first_name($_POST['first_name']);
    $user->last_name($_POST['last_name']);
    $user->address($_POST['address']);
    $user->address2($_POST['address2']);
    $user->telephone($_POST['telephone']);
    $user->sms($_POST['sms']);
      
    if (in_array($_POST['primary_email'], $user->alternate_emails())) {
      $user->primary_email($_POST['primary_email']);
    }
    if(!empty($_POST['newpass'])){
      $user->password(md5($_POST['newpass']));
    }

    if(!empty($_POST['new_text']) and !empty($_POST['new_link'])){
      $insert = array();
      $types = array();
      $insert['userid'] = $_SESSION['userid'];
      $types[] = 'integer';
      $insert['text']   = $_POST['new_text'];
      $types[] = 'text';
      $insert['url']   = $_POST['new_link'];
      $types[] = 'text';
      $result = $_ENV['dbi']->extended->autoExecute("menus",
        $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    }

    if (is_array($_POST['fields'])) {
      $sql  = "SELECT preference ";
      $sql .= "FROM user_prefs ";
      $sql .= "WHERE preference='show_fields' ";
      $sql .= "AND userid = ?";
      $stmt = $_ENV['dbi']->prepare($sql);
      $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
      $result = $stmt->execute(array($_SESSION['userid']));
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      $exists = $result->fetchOne(); 
      $result->free();
      $stmt->free();
	  
      if (!empty($exists)) {
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          array("value" => implode(",",$_POST['fields'])),
          MDB2_AUTOQUERY_UPDATE,
          sprintf("userid=%s and preference='show_fields'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
          array('text')); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      } else {
        $insert = array();
        $types = array();
        $insert['preference'] = "show_fields";
        $types[] = 'text';
        $insert['value'] = implode(",",$_POST['fields']);
        $types[] = 'text';
        $insert['userid'] = $_SESSION['userid'];
        $types[] = 'integer';
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      }
      
      $_SESSION['prefs']['show_fields'] = $_POST['fields'];
    }

    if (isset($_POST['sort_by'])) { 
      $sql  = "SELECT preference ";
      $sql .= "FROM user_prefs ";
      $sql .= "WHERE preference='sort_by' ";
      $sql .= "AND userid = ?";
      $stmt = $_ENV['dbi']->prepare($sql);
      $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
      $result = $stmt->execute(array($_SESSION['userid']));
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      $exists = $result->fetchOne(); 
      $result->free();
      $stmt->free();
      if (!empty($exists)) {
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          array("value" => $_POST['sort_by']),
          MDB2_AUTOQUERY_UPDATE,
          sprintf("userid=%s and preference='sort_by'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
          array('text')); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      } else {
        $insert = array();
        $types = array();
        $insert['preference'] = "sort_by";
        $types[] = 'text';
        $insert['value'] = $_POST['sort_by'];
        $types[] = 'text';
        $insert['userid'] = $_SESSION['userid'];
        $types[] = 'integer';
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      }
      
      $_SESSION['prefs']['sort_by'] = $_POST['sort_by'];
    }

    if (empty($_POST['wrap']) or $_POST['wrap'] == 0) {
      $_POST['wrap'] = 80;
    }

    if (!empty($_POST['wrap'])) {
      $sql  = "SELECT preference ";
      $sql .= "FROM user_prefs ";
      $sql .= "WHERE preference='word_wrap' ";
      $sql .= "AND userid = ?";
      $stmt = $_ENV['dbi']->prepare($sql);
      $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
      $result = $stmt->execute(array($_SESSION['userid']));
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
      $exists = $result->fetchOne(); 
      $result->free();
      $stmt->free();
      if (!empty($exists)) {
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          array("value" => $_POST['wrap']),
          MDB2_AUTOQUERY_UPDATE,
          sprintf("userid=%s and preference='word_wrap'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
          array('text')); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      } else {
        $insert = array();
        $types = array();
        $insert['preference'] = "word_wrap";
        $types[] = 'text';
        $insert['value'] = $_POST['wrap'];
        $types[] = 'text';
        $insert['userid'] = $_SESSION['userid'];
        $types[] = 'integer';
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
      }
      
      $_SESSION['prefs']['word_wrap'] = $_POST['wrap'];
    }
    
    $sql  = "SELECT preference ";
    $sql .= "FROM user_prefs ";
    $sql .= "WHERE preference='disable_wrap' ";
    $sql .= "AND userid = ?";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($_SESSION['userid']));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    $exists = $result->fetchOne(); 
    $result->free();
    $stmt->free();
    if (!empty($exists)) {
      $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
        array("value" => $_POST['disablewrap'] == "on" ? "t" : "f"),
        MDB2_AUTOQUERY_UPDATE,
        sprintf("userid=%s and preference='disable_wrap'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
        array('text')); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    } else {
      $insert = array();
      $types = array();
      $insert['preference'] = "disable_wrap";
      $types[] = 'text';
      $insert['value'] = $_POST['disablewrap'] == "on" ? "t" : "f";
      $types[] = 'text';
      $insert['userid'] = $_SESSION['userid'];
      $types[] = 'integer';
      $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
        $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    }
    $_SESSION['prefs']['disable_wrap'] = $_POST['disablewrap'];
    
    if (!empty($_POST['dformat'])) {
      $sql  = "SELECT preference ";
      $sql .= "FROM user_prefs ";
      $sql .= "WHERE preference='date_format' ";
      $sql .= "AND userid = ?";
      $stmt = $_ENV['dbi']->prepare($sql);
      $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
      $result = $stmt->execute(array($_SESSION['userid']));
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
      $exists = $result->fetchOne(); 
      $result->free();
      $stmt->free();
      if (!empty($exists)) {
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          array("value" => $_POST['dformat']),
          MDB2_AUTOQUERY_UPDATE,
          sprintf("userid=%s and preference='date_format'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
          array('text')); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      } else {
        $insert = array();
        $types = array();
        $insert['preference'] = "date_format";
        $types[] = 'text';
        $insert['value'] = $_POST['dformat'];
        $types[] = 'text';
        $insert['userid'] = $_SESSION['userid'];
        $types[] = 'integer';
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
      }
      
      $_SESSION['prefs']['date_format'] = $_POST['dformat'];
    }
    
    $sql  = "SELECT preference ";
    $sql .= "FROM user_prefs ";
    $sql .= "WHERE preference='timezone' ";
    $sql .= "AND userid = ?";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($_SESSION['userid']));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    $exists = $result->fetchOne(); 
    $result->free();
    $stmt->free();
    if (!empty($exists)) {
      $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
        array("value" => $_POST['timezone']),
        MDB2_AUTOQUERY_UPDATE,
        sprintf("userid=%s and preference='timezone'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
        array('text')); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    } else {
      $types = array();
      $types = array();
      $insert['preference'] = "timezone";
      $types[] = 'text';
      $insert['value'] = $_POST['timezone'];
      $types[] = 'text';
      $insert['userid'] = $_SESSION['userid'];
      $types[] = 'integer';
      $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
        $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    }
    
    $_SESSION['prefs']['timezone'] = $_POST['timezone'];

    if (!empty($_POST['locale'])) {
      $sql  = "SELECT preference ";
      $sql .= "FROM user_prefs ";
      $sql .= "WHERE preference='locale' ";
      $sql .= "AND userid = ?";
      $stmt = $_ENV['dbi']->prepare($sql);
      $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
      $result = $stmt->execute(array($_SESSION['userid']));
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
      $exists = $result->fetchOne(); 
      $result->free();
      $stmt->free();
      if (!empty($exists)) {
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          array("value" => $_POST['locale']),
          MDB2_AUTOQUERY_UPDATE,
          sprintf("userid=%s and preference='locale'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
          array('text')); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      } else {
        $insert = array();
        $types = array();
        $insert['preference'] = "locale";
        $types[] = 'text';
        $insert['value'] = $_POST['locale'];
        $types[] = 'text';
        $insert['userid'] = $_SESSION['userid'];
        $types[] = 'integer';
        $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
          $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
        $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
      }

      $_SESSION['prefs']['locale'] = $_POST['locale'];
    }
  }

    
    $sql  = "SELECT preference ";
    $sql .= "FROM user_prefs ";
    $sql .= "WHERE preference='show_bgcolor' ";
    $sql .= "AND userid = ?";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($_SESSION['userid']));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    $exists = $result->fetchOne(); 
    $result->free();
    $stmt->free();
    if (!empty($exists)) {
      $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
        array("value" => $_POST['show_bgcolor'] == "on" ? "t" : "f"),
        MDB2_AUTOQUERY_UPDATE,
        sprintf("userid=%s and preference='show_bgcolor'", $_ENV['dbi']->quote($_SESSION['userid'], 'integer')),
        array('text')); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    } else {
      $insert = array();
      $types = array();
      $insert['preference'] = "show_bgcolor";
      $types[] = 'text';
      $insert['value'] = $_POST['show_bgcolor'] == "on" ? "t" : "f";
      $types[] = 'text';
      $insert['userid'] = $_SESSION['userid'];
      $types[] = 'integer';
      $result = $_ENV['dbi']->extended->autoExecute("user_prefs",
        $insert, MDB2_AUTOQUERY_INSERT, null, $types); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    }
    $_SESSION['prefs']['show_bgcolor'] = $_POST['show_bgcolor'];
  

  // always redirect back to the original URL -- the ensures that e.g.,
  // language or timezone changes take effect
  redirect("?module=prefs");
}

if (!empty($_GET['mid'])) {
	$result = $_ENV['dbi']->extended->autoExecute("menus",
      null,
      MDB2_AUTOQUERY_DELETE,
      sprintf("userid=%s and mid=%s", $_ENV['dbi']->quote($_SESSION['userid'], 'integer'), $_ENV['dbi']->quote($_GET['mid'], 'integer'))); 
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
}

// pull user information for this user
$user_obj = get_user($_SESSION['userid']);
if (!$user_obj) { die("User information not found"); } // !?

$user = array(
  "first_name" => $user_obj->first_name(),
  "last_name" => $user_obj->last_name(),
  "primary_email" => $user_obj->primary_email(),
  "alternate_emails" => $user_obj->alternate_emails(),
  "sms" => $user_obj->sms(),
  "address" => $user_obj->address(),
  "address2" => $user_obj->address2(),
  "telephone" => $user_obj->telephone(),
);
$_ENV['tpl']->assign('user',$user);

$sql  = "SELECT mid,text,url ";
$sql .= "FROM menus ";
$sql .= "WHERE userid=? ";
$stmt = $_ENV['dbi']->prepare($sql);
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute(array($_SESSION['userid']));
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$menu_items = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
$result->free();
$stmt->free();
$_ENV['tpl']->assign('menu_items',$menu_items);

// Date / time formats
$_ENV['tpl']->assign('date_formats', $_ENV['i18n']->enumerate_date_formats());
$_ENV['tpl']->assign('timezones', $_ENV['i18n']->enumerate_timezones());

// Locale
require_once(_INCLUDES_."locales.php");
foreach ($locales as $locale => $name) {
  if (strpos($locale,"-")) {
    $parts = split("-",$locale);
    $locale = $parts[0]."_".strtoupper($parts[1]);
  }
  if (file_exists(_LOCALE_."/".$locale)) {
	  
    $possible_locales[$locale] = $name;
  }
}
$_ENV['tpl']->assign('possible_locales',$possible_locales);

$issue_fields = array(
	array( "field" => "issueid",	"name" => _("Issue Number")),
	array( "field" => "opened_by",	"name" => _("Opened By")),
	array( "field" => "assigned_to","name" => _("Assigned To")),
	array( "field" => "opened",	"name" => _("Opened")),
	array( "field" => "modified",	"name" => _("Last Modified")),
	array( "field" => "status",	"name" => _("Status")),
	array( "field" => "category",	"name" => _("Category")),
	array( "field" => "severity",	"name" => _("Severity")),
	array( "field" => "product",    "name" => _("Product")),
 	array( "field" => "flags",      "name" => _("Flags")),
 	array( "field" => "due_date",   "name" => _("Due By")),
 	array( "field" => "time_open",   "name" => _("Time Open")),
	array( "field" => "g_name",   "name" => _("Group By"))
);

$_ENV['tpl']->assign('issue_fields',$issue_fields);
$_ENV['tpl']->display("prefs/prefs.tpl");
?>
