<?php
/**
 * @package EnterTrack
 * @subpackage Reports_Module
 */

if (strpos(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if (!empty($_GET['rid'])) {
  $sql  = "SELECT name,options,report ";
  $sql .= "FROM reports ";
  $sql .= "WHERE rid=? ";
  $sql .= "AND userid=? ";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_GET['rid'], $_SESSION['userid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
  list($name,$options,$report) = $result->fetchRow(MDB2_FETCHMODE_ORDERED); 
  $result->free();
  $stmt->free();
  if (!empty($options) and !empty($report)) {
    $_POST = unserialize($options);
    $report = unserialize($report);
    $_ENV['tpl']->assign('report',&$report);
    if (is_null($report['template'])) {
      $report['template'] = "reports/group_report.tpl";
    }
    $_ENV['tpl']->display($report['template']);
  }
} else {
  redirect();
}
?>
