<?php
if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (!is_employee()) {
  redirect();
}

// pull users

if ($_POST) {
  $params = array();
  $sql  = "SELECT distinct users.userid as userid,primary_email,username,first_name,last_name ";
  $sql .= "FROM users ";
  if (isset($_POST['email'])) {
    $sql .= "inner join alternate_emails using(userid) ";
  }

  $wc = array();
  if (!isset($_POST['show_email_only'])) {
    $wc[] = "username is not NULL ";
  }

  if (isset($_POST['email']) && $_POST['email']) {
    $wc[] = "lower(alternate_emails.email) like lower(?) ";
    $params[] = $_POST['email'];
  }

  if (isset($_POST['username']) && $_POST['username']) {
    $wc[] = "lower(username) like lower(?) ";
    $params[] = $_POST['username'];
  }

  if (isset($_POST['first_name']) && $_POST['first_name']) {
    $wc[] = "lower(first_name) like lower(?) ";
    $params[] = $_POST['first_name'];
  }

  if (isset($_POST['last_name']) && $_POST['last_name']) {
    $wc[] = "lower(last_name) like lower(?) ";
    $params[] = $_POST['last_name'];
  }

  if ($wc) {
    $sql .= "WHERE " . implode(' AND ', $wc);
  }

  $sql .= "ORDER BY username";

  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute($params);
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $users = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  if (!$users) { $users = array(); }
} else {
  // display all the full users if there are fewer than 100
  $sql  = "SELECT distinct users.userid as userid,primary_email,username,first_name,last_name ";
  $sql .= "FROM users ";
  $sql .= "WHERE username is not NULL ";
  $sql .= "ORDER BY username ";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute();
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $users = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  if (!$users) { $users = array(); }

  if (sizeof($users) > 100) {
    $users = null;
  }
}

$_ENV['tpl']->assign('users',$users);
$_ENV['tpl']->display("users/users.tpl");
