<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

// this page redirects to the action page if the key matches; otherwise
// it just prompts for a key.
if (isset($_GET['key'])) {
  $key = $_GET['key'];
  if (!ereg("^[A-Za-z0-9]*$", $key)) {
    $_ENV['error']->push_error(_("Invalid key; key must consist entirely of letters and digits."));
  } else {
    $sql  = "SELECT action FROM email_verification where verification_key=?";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($key));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    $action = $result->fetchOne(); 
    $result->free();
    $stmt->free();

    if (!$action) {
      $_ENV['error']->push_error(_("Key not found; please try again or enter key manually."));
    } else {
      redirect("?module=verify&action=$action&key=$key");
      exit;
    }
  }
}

$_ENV['tpl']->display("verify/verify.tpl");
