<!-- Begin issues/my_open.tpl -->
{opentable}
{titlebar colspan=$colspan title=$title}
<tr class="tablehead" align="center">
{if in_array("flags",$smarty.session.prefs.show_fields) and is_employee($smarty.session.userid)}
<td width="60">{t}Flags{/t}</td>
{/if}
{if in_array("issueid",$smarty.session.prefs.show_fields)}
<td width="5%"><a href="{$url}&sort=issueid">{t}Id{/t}</a></td>
{/if}
{if in_array("severity",$smarty.session.prefs.show_fields)}
<td width="5%"><a href="{$url}&sort=severity">{t}Sev{/t}</a></td>
{/if}
<td width="15%"><a href="{$url}&sort=gid">{t}Group{/t}</a></td>
<td align="left">{t}Summary{/t}</td>
{if in_array("opened_by",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=opened_by">{t}Opened By{/t}</a></td>
{/if}
{if in_array("assigned_to",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=assigned_to">{t}Assigned{/t}</a></td>
{/if}
{if in_array("opened",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=opened">{t}Opened{/t}</a></td>
{/if}
{if in_array("modified",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=modified">{t}Updated{/t}</a></td>
{/if}
{if in_array("due_date",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=due_date">{t}Due By{/t}</a></td>
{/if}
{if in_array("time_open",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=opened">{t}Time Open{/t}</a></td>
{/if}
{if in_array("category",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=category">{t}Category{/t}</a></td>
{/if}
{if in_array("product",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=product">{t}Product{/t}</a></td>
{/if}
{if in_array("status",$smarty.session.prefs.show_fields)}
<td width="10%"><a href="{$url}&sort=status">{t}Status{/t}</a></td>
{/if}
</tr>
{if count($issues) gt 0}
{foreach from=$issues item=issue}
{if show_issue($issue.issueid,$issue.gid)}
<tr class="{rowcolor pid=$issue.product opened=$issue.opened status=$issue.status}"  bgcolor="{bgcolor pid=$issue.product opened=$issue.opened status=$issue.status}" align="center">
{if in_array("flags",$smarty.session.prefs.show_fields)
and is_employee($smarty.session.userid)}
<td width="60">
{if $issue.private eq "t"}
<img src="{$smarty.env.imgs.private}" width="16" height="16" border="0" alt="{t}Private Issue{/t}" />
{/if}
{if $issue.escto eq TRUE}
<img src="{$smarty.env.imgs.deescalate}" width="16" height="16" border="0" alt="{t}Escalated into this Group{/t}" />
{/if}
{if $issue.escfrom eq TRUE}
<img src="{$smarty.env.imgs.escalate}" width="16" height="16" border="0" alt="{t}Escalated out of this Group{/t}" />
{/if}
</td>
{/if}
{if in_array("issueid",$smarty.session.prefs.show_fields)}
<td width="5%">{$issue.issueid}</td>
{/if}
{if in_array("severity",$smarty.session.prefs.show_fields)}
<td width="5%"><img src="{sevimg sev=$issue.severity}" border="0" />({sevtxt sev=$issue.severity})</td>
{/if}
<td width="15%">{groupname id=$issue.gid}</td>
<td align="left"><a href="?module=issues&action=view&issueid={$issue.issueid}&gid={$issue.gid}{if isset($smarty.get.rw)}&rw={$smarty.get.rw}{/if}">{$issue.summary}</a></td>
{if in_array("opened_by",$smarty.session.prefs.show_fields)}
<td width="10%">{ident id=$issue.opened_by}</td>
{/if}
{if in_array("assigned_to",$smarty.session.prefs.show_fields)}
<td width="10%">{ident id=$issue.assigned_to}</td>
{/if}
{if in_array("opened",$smarty.session.prefs.show_fields)}
<td width="10%">{$issue.opened|format_datetime}</td>
{/if}
{if in_array("modified",$smarty.session.prefs.show_fields)}
<td width="10%">{$issue.modified|format_datetime}</td>
{/if}
{if in_array("due_date",$smarty.session.prefs.show_fields)}
{if $now > $issue.due_date}
<td width="10%"><font color="#990000"><strong>{$issue.due_date|format_datetime}</strong></font></td>
{else}
<td width="10%">{$issue.due_date|format_datetime}</td>
{/if}
{/if}
{if in_array("time_open",$smarty.session.prefs.show_fields)}
<td width="15%">{time_diff time1=$now time2=$issue.opened type='simple'}</td>
{/if}
{if in_array("category",$smarty.session.prefs.show_fields)}
<td width="15%">{category id=$issue.category}</td>
{/if}
{if in_array("product",$smarty.session.prefs.show_fields)}
<td width="15%">{product id=$issue.product}</td>
{/if}
{if in_array("status",$smarty.session.prefs.show_fields)}
<td width="15%">{status id=$issue.status}</td>
{/if}
</tr>
{/if}
{/foreach}
{else}
<tr class="data" align="center"><td colspan="{$colspan}">{t}No issues to display.{/t}</td></tr>
{/if}
{closetable}
<!-- End issues/my_open.tpl -->

