<!-- Begin issues/new.tpl -->
<form method="post" action="?module=issues&action=new&gid={$smarty.get.gid}" enctype="multipart/form-data">
{opentable}
{titlebar colspan=2 title="New Issue"|t}
{if group_over_limit($smarty.get.gid,"issues")}
<tr class="data" align="center"><td colspan="2">{t}This group has reached their limit for number of issues. Please contact the group administrator.{/t}</td></tr>
{else}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Summary{/t}:</td>
<td class="data" width="80%"><input type="text" size="60" maxlength="250" name="summary" value="{$smarty.post.summary|replace:"\"":"'"}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Problem{/t}:</td>
<td class="data" width="80%"><textarea cols="60" rows="10" name="problem">{$smarty.post.problem}</textarea></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Due Date{/t}:</td>
<td class="data" width="80%">{datetime_select name="duedate" value=$smarty.post.duedate}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Product{/t}:</td>
<td class="data" width="80%">
<select name="product">
<option value="">({t}Choose Product{/t})</option>
{if is_array($products)}
{foreach from=$products key=pid item=product}
<option value="{$pid}"{if $pid eq $smarty.post.product or count($products) == 1} selected="selected"{/if}>{$product}</option>
{/foreach}
{/if}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Category{/t}:</td>
<td class="data" width="80%">
<select name="category">
<option value="">({t}Choose Category{/t})</option>
{if is_array($categories)}
{foreach from=$categories key=cid item=category}
<option value="{$cid}"{if $cid eq $smarty.post.category or count($categories) == 1} selected="selected"{/if}>{$category}</option>
{/foreach}
{/if}
</select>
</td>
</tr>

<tr>
<td class="label" width="20%" align="right" valign="top">{t}Severity{/t}:</td>
<td class="data" width="80%">
<input type="radio" name="severity" value="4"{if $smarty.post.severity == '4'} checked{/if} />({t}Low{/t})&nbsp;
<input type="radio" name="severity" value="3"{if $smarty.post.severity == '3' || !$smarty.post.severity} checked{/if} />({t}Normal{/t})&nbsp;
<input type="radio" name="severity" value="2"{if $smarty.post.severity == '2'} checked{/if} />({t}High{/t})&nbsp;
<input type="radio" name="severity" value="1"{if $smarty.post.severity == '1'} checked{/if} />({t}Urgent{/t})&nbsp;
</td>
</tr>
{if permission_check("view_private",$smarty.get.gid)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Private{/t}:</td>
<td class="data" width="80%"><input type="checkbox" name="private"{if $smarty.post.private eq "on"} checked="checked"{/if} /></td>
</tr>
{/if}
{if permission_check("upload_files",$smarty.get.gid)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}File{/t}:</td>
<td class="data" width="80%"><input type="file" name="upload" /></td>
</tr>
{/if}
{if isset($custom_fields)}
<tr class="titlebar"><td colspan="2">{t}Group-Defined{/t}</td></tr>
{$custom_fields}
{/if}
<tr class="titlebar"><td colspan="2"><input type="submit" name="create" value="{t}Create Issue{/t}" /></td></tr>
{/if}
{closetable}
</form>
<!-- End issues/new.tpl -->

