<!-- Begin issues/new_event.tpl -->
<span class="noprint">
<form method="post" action="?module=issues&action=update&issueid={$smarty.get.issueid}&gid={$group}" enctype="multipart/form-data">
<input type="hidden" name="ogid" value="{$issue.primary_gid}" />
{opentable}
{titlebar colspan=2 title="New Event"|t}
{if group_over_limit($group,"hours")}
<tr class="data" align="center"><td colspan="2">{t}This group has exceeded their limit. Please contact the group administrator.{/t}</td></tr>
{else}
<tr class="label"><td colspan="2">{t}Action{/t}:</td></tr>
<tr class="data">
<td colspan="2">
<textarea cols="60" rows="10" name="event"{if !user_in_group($issue.primary_gid)} class="privateupdate"{/if}>{$smarty.post.event}</textarea>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Status{/t}:</td>
<td class="data" width="80%">
<select name="new_status" style="width: 25%;">
<option value="">({t}Update Status{/t})</option>
{if is_array($statuses)}
{foreach from=$statuses key=sid item=status}
<option value="{$sid}"{if $sid eq $issue.status} selected="selected"{/if}>{$status}</option>
{/foreach}
{/if}
</select>
</td>
</tr>
{if is_employee($smarty.session.userid)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Internal Status{/t}:</td>
<td class="data" width="80%">
<select name="new_istatus" style="width: 25%;">
<option value="">({t}Update Internal Status{/t})</option>
{if is_array($istatuses)}
{foreach from=$istatuses key=sid item=status}
<option value="{$sid}"{if $sid eq $issue.istatus} selected="selected"{/if}>{$status}</option>
{/foreach}
{/if}
</select>
</td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Severity{/t}:</td>
<td class="data" width="80%">
<input type="radio" name="severity" value="4"{if $issue.severity eq 4} checked="checked"{/if} /> ({t}Low{/t})&nbsp;
<input type="radio" name="severity" value="3"{if $issue.severity eq 3} checked="checked"{/if} /> ({t}Normal{/t})&nbsp;
<input type="radio" name="severity" value="2"{if $issue.severity eq 2} checked="checked"{/if} /> ({t}High{/t})&nbsp;
<input type="radio" name="severity" value="1"{if $issue.severity eq 1} checked="checked"{/if} /> ({t}Urgent{/t})&nbsp;
</td>
</tr>
{if is_employee($smarty.session.userid)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Internal Severity{/t}:</td>
<td class="data" width="80%">
<input type="radio" name="iseverity" value="4"{if $issue.iseverity eq 4} checked="checked"{/if} /> ({t}Low{/t})&nbsp;
<input type="radio" name="iseverity" value="3"{if $issue.iseverity eq 3} checked="checked"{/if} /> ({t}Normal{/t})&nbsp;
<input type="radio" name="iseverity" value="2"{if $issue.iseverity eq 2} checked="checked"{/if} /> ({t}High{/t})&nbsp;
<input type="radio" name="iseverity" value="1"{if $issue.iseverity eq 1} checked="checked"{/if} /> ({t}Urgent{/t})&nbsp;
</td>
</tr>
{/if}
{if issue_priv($smarty.get.issueid,"upload_files")}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}File{/t}:</td>
<td class="data" width="80%"><input type="file" name="upload" style="width: 25%;" /></td>
</tr>
{/if}
{if issue_priv($smarty.get.issueid,"technician")}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Product{/t}:</td>
<td class="data" width="80%">
<!-- Product select added 01/15/2004 by David Joyce <david.joyce@timco.aero> -->
<select name="prod" style="width: 25%;">
<option value="">({t}Product Not Set{/t})</option>
{if is_array($products)}
{foreach from=$products key=pid item=product}
<option value="{$pid}"{if $pid eq $issue.product} selected="selected"{/if}>{$product}</option>
{/foreach}
{/if}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Category{/t}:</td>
<td class="data" width="80%">
<select name="cat" style="width: 25%;">
<option value="">({t}Category Not Set{/t})</option>
{if is_array($categories)}
{foreach from=$categories key=cid item=category}
<option value="{$cid}"{if $cid eq $issue.category} selected="selected"{/if}>{$category}</option>
{/foreach}
{/if}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Assign To{/t}:</td>
<td class="data" width="80%">
<select name="assign" style="width: 25%;">
<option value="">({t}No User Assigned{/t})</option>
{if is_array($gmembers)}
{foreach from=$gmembers key=userid item=username}
<option value="{$userid}"{if $assigned eq $userid} selected="selected"{/if}>{ident id=$userid}</option>
{/foreach}
{/if}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top"><b>{t}OR{/t}</b></td>
<td class="data" width="80%">&nbsp;</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Reassign To{/t}:</td>
<td class="data" width="80%">
<!-- Group Reassigment select added 07/01/2004 by David Joyce <david.joyce@timco.aero> -->
<select name="reassign" style="width: 25%;">
<option value="">({t}No Group Reassigned{/t})</option>
{if is_array($familygroups)}
{foreach from=$familygroups key=gid item=gname}
<option value="{$gid}"{if $smarty.get.gid eq $gid} selected="selected"{/if}>{$gname}</option>
{/foreach}
{/if}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Duration{/t}:</td>
<td class="data" width="80%">
<input type="text" size="7" name="hours" value="{$smarty.post.hours}" /> {t}Hours{/t} 
<input type="text" size="7" name="minutes" value="{$smarty.post.minutes}" />{t}Minutes{/t}
</td>
</tr>
{if is_array($egroups) and count($egroups) > 0}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Escalate To{/t}:</td>
<td class="data" width="80%">
<select name="egid" style="width: 25%;">
<option value="">(Do Not Escalate)</option>
{foreach from=$egroups key=gid item=name}
{if !in_array($gid,$groups)
or (in_array($gid,$groups) and !show_issue($smarty.get.issueid,$gid))
and group_active($gid)}
<option value="{$gid}">{$name}</option>
{/if}
{/foreach}
</select>
</td>
</tr>
{/if}
{/if}
{if issue_priv($smarty.get.issueid,"view_private")}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Issue Private{/t}:</td>
<td class="data" width="80%"><input type="checkbox" name="tprivate"{if $smarty.post.tprivate eq "on" || $issue.private eq "t"} checked="checked"{/if} /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Event Private{/t}:</td>
{if user_in_group($issue.primary_gid)}
<td class="data" width="80%"><input type="checkbox" name="eprivate"{if $smarty.post.eprivate eq "on"} checked="checked"{/if} /></td>
{else}
<td class="data" width="80%">{t}Event Forced Private{/t}<input type="hidden" name="eprivate" value="on" /></td>
{/if}
</tr>
{/if}
{if isset($custom_fields)}
<tr class="titlebar"><td colspan="2">{t}Group-Defined{/t}</td></tr>
{$custom_fields}
{/if}
<tr class="titlebar"><td colspan="2"><input type="submit" value="{t}Commit Event{/t}" /></td></tr>
{/if}
{closetable}
</form>
</span>
<!-- End issues/new_event.tpl -->
