<!-- Begin issues/view.tpl -->
{opentable}
{titlebar colspan=2 title="View Issue"|t}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Issue #{/t}:</td>
<td class="data" width="80%">{$smarty.get.issueid}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Summary{/t}:</td>
{if issue_priv($smarty.get.issueid,"technician")}
<td class="data" width="80%">
<form method="post" action="?module=issues&action=view&issueid={$smarty.get.issueid}&gid={$smarty.get.gid}&update_summary=true">
<input type="text" size="60" name="summary" value="{$issue.summary|escape}" />
<input type="submit" value="{t}Update{/t}" />
</form>
</td>
{else}
<td class="data" width="80%">{$issue.summary|escape}</td>
{/if}
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Opened{/t}:</td>
{if !empty($issue.real_opened)}
<td class="data" width="80%">{$issue.real_opened|format_datetime} ({t}Modified{/t})</td>
{else}
<td class="data" width="80%">{$issue.opened|format_datetime}</td>
{/if}
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Modified{/t}:</td>
<td class="data" width="80%">{$issue.modified|format_datetime}</td>
</tr>
{if closed($smarty.get.issueid)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Closed{/t}:</td>
{if !empty($issue.real_closed)}
<td class="data" width="80%">{$issue.real_closed|format_datetime} ({t}Modified{/t})</td>
{else}
<td class="data" width="80%">{$issue.closed|format_datetime}</td>
{/if}
</tr>
{/if}

<tr>
<td class="label" width="20%" align="right" valign="top">{t}Due Date{/t}:</td>
<td class="data" width="80%">
{if is_group_admin( $smarty.get.gid ) }
<form method="post" action="?module=issues&action=view&issueid={$smarty.get.issueid}&gid={$smarty.get.gid}&update_duedate=true">
{datetime_select name="duedate" value=$issue.due_date|format_datetime}
<input type="submit" value="{t}Update{/t}" />
</form>
{else}
{$issue.due_date|format_datetime}
{/if}
</td>
</tr>

<tr>
<td class="label" width="20%" align="right" valign="top">{t}Assigned To{/t}:</td>
<td class="data" width="80%">
{foreach from=$assignees key=gid item=userid}
{groupname id=$gid}: {ident id=$userid}<br />
{/foreach}
</td>
</tr>
{if $clients}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Subscribed Clients{/t}:</td>
<td class="data" width="80%">{foreach from=$clients item=client}{$client|ident}<br />{/foreach}</td>
</tr>
{/if}
{if $techs}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Subscribed Technicians{/t}:</td>
<td class="data" width="80%">{foreach from=$techs item=tech}{$tech|ident}<br />{/foreach}</td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Product{/t}:</td>
<td class="data" width="80%">{product id=$issue.product}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Category{/t}:</td>
<td class="data" width="80%">{category id=$issue.category}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Status{/t}:</td>
<td class="data" width="80%">{status id=$issue.status}</td>
</tr>
{if is_employee($smarty.session.userid) and !empty($issue.istatus)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Internal Status{/t}:</td>
<td class="data" width="80%">{status id=$issue.istatus}</td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Files Attached{/t}:</td>
<td class="data" width="80%">{$files}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Severity{/t}:</td>
<td class="data" width="80%"><img src="{sevimg sev=$issue.severity}" border="0" />({sevtxt sev=$issue.severity})</td>
</tr>
{if is_employee($smarty.session.userid) and !empty($issue.iseverity) and $issue.iseverity != $issue.severity}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Internal Severity{/t}:</td>
<td class="data" width="80%"><img src="{sevimg sev=$issue.iseverity}" border="0" />({sevtxt sev=$issue.iseverity})</td>
</tr>
{/if}
<tr>
<td class="label" colspan="2" valign="top">{t}Issue description posted by{/t} {ident id=$issue.opened_by}:</td>
</tr>
<tr>
<td class="data" colspan="2">{$issue.problem|escape:"html"|format}</td>
</tr>
{closetable}
<br />
<!-- End issues/view.tpl -->

