{* plaintext.tpl
 *
 * stray newlines and spaces will mess things up, so this file uses
 * comments liberally to avoid them

****
**** issueless changes
****
*}{if $issueless_changes}{foreach from=$issueless_changes item=ch}{*
*}{$ch->to_text()}
------------------------------------------------------------------------------
{/foreach}{/if}{*


****
**** changes corresponding to issues
****
*}{if $issueful_changes}{foreach from=$issueful_changes key=issueid item=ischs}{*

**** Issue header
*}{$config.display.company} {t}Issue{/t} #{$issueid} 
{t}Assigned to{/t}: {$ischs.assigned_to_names}
{*
**** initial issue post
*}{if $ischs.new_issue}{t}Event posted by:{/t} {ident id=$ischs.new_issue->userid()}

{$ischs.new_issue->description|replace:"\n":" "}
{/if}{*

**** any new events
*}{if $ischs.new_events}{foreach from=$ischs.new_events item=ch}{*
*}{t}Event posted by:{/t} {ident id=$ch->userid()}

{$ch->action|replace:"\n":" "}
{/foreach}{/if}{*


**** any settings changes
*}


{if $ischs.settings_changes_messages}{foreach from=$ischs.settings_changes_messages item=message}{*
*}{$message}
{/foreach}{/if}
{t}More Details: {/t}{$smarty.const._URL_}?module=issues&action=view&issueid={$ischs.issue->issueid()}&gid={$ischs.issue->primary_gid()}
{/foreach}{/if}
