<!-- Begin prefs/prefs.tpl -->
<form method="post" action="?module=prefs&update=true">
{opentable}
{titlebar colspan=2 title="Identity"|t}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}First Name{/t}:</td>
<td class="data" width="80%"><input type="text" size="32" maxlength="32" name="first_name" value="{$user.first_name}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Last Name{/t}:</td>
<td class="data" width="80%"><input type="text" size="32" maxlength="32" name="last_name" value="{$user.last_name}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Address{/t}:</td>
<td class="data" width="80%"><input type="text" size="32" maxlength="64" name="address" value="{$user.address}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">&nbsp;</td>
<td class="data" width="80%"><input type="text" size="32" maxlength="64" name="address2" value="{$user.address2}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Phone Number{/t}:</td>
<td class="data" width="80%"><input type="text" size="32" maxlength="32" name="telephone" value="{$user.telephone}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Primary Email{/t}:</td>
<td class="data" width="80%"><select name="primary_email">
{foreach from=$user.alternate_emails item=alt}
<option value="{$alt}"{if $alt == $user.primary_email} SELECTED{/if}>{$alt}</option>
{/foreach}
</select> ({t}Click "Email Addresses", above, to add or remove addresses.{/t})</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}SMS{/t}:</td>
<td class="data" width="80%"><input type="text" size="32" maxlength="64" name="sms" value="{$user.sms}" /></td>
</tr>
{if !$config.features.disable_user_change_password}
{titlebar colspan=2 title="Change Password"|t}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Old Password{/t}:</td>
<td class="data" width="80%"><input type="password" size="32" maxlength="32" name="oldpass" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}New Password{/t}:</td>
<td class="data" width="80%"><input type="password" size="32" maxlength="32" name="newpass" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Confirm Password{/t}:</td>
<td class="data" width="80%"><input type="password" size="32" maxlength="32" name="confirm" /></td>
</tr>
{/if}
{titlebar colspan=2 title="Personal Menu"|t}
<tr class="tablehead">
<td>{t}Text{/t}</td>
<td>{t}Link{/t}</td>
</tr>
{if is_array($menu_items)}
{foreach from=$menu_items item=menu}
<tr class="data">
<td>{$menu.text}</td>
<td>{$menu.url} <a href="?module=prefs&mid={$menu.mid}"><img src="{$smarty.env.imgs.delete}" width="16" height="16" border="0" alt="Remove" /></a></td>
</tr>
{/foreach}
{/if}
<tr class="data">
<td><input type="text" size="16" name="new_text" style="width: 98%;" /></td>
<td><input type="text" size="32" name="new_link" style="width: 98%;" /></td>
</tr>
{titlebar colspan=2 title="General"|t}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Word Wrap{/t}:</td>
<td class="data" width="80%">
<input type="text" size="4" name="wrap" value="{$smarty.session.prefs.word_wrap}" />
<b>{t}Note{/t}:</b> {t}If left blank or set to 0, the default of 80 characters will be used.{/t}
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Disable Word Wrap{/t}:</td>
<td class="data" width="80%"><input type="checkbox" name="disablewrap"{if $smarty.session.prefs.disable_wrap eq "t" or $smarty.post.disablewrap eq "on"} checked="checked"{/if} /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Date Format{/t}:</td>
<td class="data" width="80%">
<select name="dformat">
<option value="default"{if $smarty.session.prefs.date_format eq 'default' || !$smarty.session.prefs.date_format} selected="selected"{/if}>{t}System Default{/t}</option>
{foreach from=$date_formats key=fmt_id item=fmt_name}
<option value="{$fmt_id}"{if $smarty.session.prefs.date_format eq $fmt_id} selected="selected"{/if}>{$fmt_name}{* $fmt_name is already translated *}</option>
{/foreach}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Timezone{/t}:</td>
<td class="data" width="80%">
<select name="timezone">
<option value="default"{if $smarty.session.prefs.timezone eq 'default' || !$smarty.session.prefs.timezone} selected="selected"{/if}>{t}System Default{/t}</option>
<option value="browser"{if $smarty.session.prefs.timezone eq 'browser'} selected="selected"{/if}>{t}Browser Timezone{/t}</option>
{foreach from=$timezones item=tz}
<option value="{$tz}"{if $smarty.session.prefs.timezone eq $tz} selected="selected"{/if}>{$tz}</option>
{/foreach}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Language{/t}:</td>
<td class="data" width="80%">
<select name="locale">
{foreach from=$possible_locales key=key item=locale}
<option value="{$key}"{if $smarty.session.prefs.locale eq $key} selected="selected"{/if}>{$locale}</option>
{/foreach}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Issues Background Color{/t}:</td>
<td class="data" width="80%"><input type="checkbox" name="show_bgcolor"{if $smarty.session.prefs.show_bgcolor eq "t" or $smarty.post.show_bgcolor eq "on"} checked="checked"{/if} /></td>
</tr>

{titlebar colspan=2 title="Issue Listing"}
<tr class="data">
<td class="label" width="20%" align="right" valign="top">{t}Show Fields{/t}:</td>
<td class="data" width="80%">
<table width="100%" cellpadding="2" cellspacing="0">
{php}$col = 0;{/php}
{foreach from=$issue_fields item=field}
{if $field.field ne "g_name"}
{php}if ($col == 0) { print "<tr class=\"data\">\n"; }{/php}
<td width="3%" style="border: none;">
<input type="checkbox" name="fields[]" value="{$field.field}"{if in_array($field.field,$smarty.session.prefs.show_fields)} checked="checked"{/if} />
</td>
<td width="30%" style="border: none;">{$field.name}</td>
{php}$col++; if ($col == 3) { print "</tr>\n"; $col = 0; }{/php}
{/if}
{/foreach}
</table>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Sort By{/t}:</td>
<td class="data" width="80%">
<select name="sort_by">
{foreach from=$issue_fields item=field}
{if $field.field ne "flags"}
{if $field.field ne "time_open"}
<option value="{$field.field}"{if $field.field eq $smarty.session.prefs.sort_by} selected="selected"{/if}>{$field.name}</option>
{/if}
{/if}
{/foreach}
</select>
</td>
</tr>
<tr class="titlebar"><td colspan="2"><input type="submit" value="{t}Update Preferences{/t}" /></td></tr>
{closetable}
</form>
<!-- End prefs/prefs.tpl -->

