<!-- Begin users/view.tpl -->
<form method="post" action="?module=users&action=update_regular&uid={$smarty.get.uid}">
{opentable}
{titlebar colspan=2 title="Edit User"|t}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Username{/t}:</td>
<td class="data" width="80%"><input type="text" size="16" maxlength="32" name="username" value="{$user.username}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}First Name{/t}:</td>
<td class="data" width="80%"><input type="text" size="16" maxlength="32" name="first_name" value="{$user.first_name}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Last Name{/t}:</td>
<td class="data" width="80%"><input type="text" size="16" maxlength="32" name="last_name" value="{$user.last_name}" /></td>
</tr>
{if !$config.features.disable_user_change_password}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}New Password{/t}:</td>
<td class="data" width="80%"><input type="password" size="16" maxlength="32" name="new_pw" value="" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Confirm Password{/t}:</td>
<td class="data" width="80%"><input type="password" size="16" maxlength="32" name="confirm_pw" value="" /></td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Primary Email{/t}:</td>
<td class="data" width="80%"><select name="primary_email">
{foreach from=$user.alternate_emails item=alt}
<option value="{$alt}"{if $alt == $user.primary_email} SELECTED{/if}>{$alt}</option>
{/foreach}
</select> ({t}Click "edit emails", above, to add or remove addresses.{/t})</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}SMS{/t}:</td>
<td class="data" width="80%"><input type="text" size="16" maxlength="64" name="sms" value="{$user.sms}" /></td>
</tr>
<tr>
{if is_admin($smarty.session.userid)}
<td class="label" width="20%" align="right" valign="top">{t}Permissions{/t}:</td>
<td class="data" width="80%">
<select name="permissions[]" size="5" multiple="multiple">
{foreach from=$permissions item=perm}
<option value="{$perm.permid}"{if @in_array($perm.permid,$user_perms)} selected="selected"{/if}>{$perm.permission|replace:"_":" "|capitalize}</option>
{/foreach}
</select>
</td>
</tr>
{/if}
<tr class="data">
<td colspan="2">
{opentable}
<tr class="tablehead">
<td>{t}Add to Groups{/t}</td>
<td>{t}Remove from Groups{/t}</td>
</tr>
<tr class="data">
<td width="50%">
<select name="add_groups[]" size="10" multiple="multiple" style="width: 100%;">
{foreach from=$groups item=group}
{if permission_check("update_group",$group.gid)}
<option value="{$group.gid}">{$group.name}</option>
{/if}
{/foreach}
</select>
</td>
<td width="50%">
<select name="del_groups[]" size="10" multiple="multiple" style="width: 100%;">
{foreach from=$user_groups item=gid}
{if permission_check("update_group",$gid)}
<option value="{$gid}">{groupname id=$gid}</option>
{/if}
{/foreach}
</select>
</td>
</tr>
{closetable}
</td>
</tr>
{if is_admin($smarty.session.userid)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Admin{/t}:</td>
<td class="data" width="80%"><input type="checkbox" name="admin"{if $user.admin eq "t"} checked="checked"{/if} /></td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{$config.display.company} {t}Employee{/t}:</td>
<td class="data" width="80%"><input type="checkbox" name="employee"{if is_employee($smarty.get.uid)} checked="checked"{/if} /></td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Active{/t}:</td>
<td class="data" width="80%"><input type="checkbox" name="active"{if $user.active eq "t"} checked="checked"{/if} /></td>
</tr>
<tr class="titlebar">
<td colspan="2"><input type="submit" value="{t}Update User{/t}" /></td>
</tr>
{closetable}
</form>
<!-- End users/view.tpl -->

