<?php
# Array of possible locales
$locales = array(
  'af'    => gettext("Afrikaans"),
  'sq'    => gettext("Albanian"),
  'ar'    => gettext("Arabic"),
  'ar-dz' => gettext("Arabic/Algeria"),
  'ar-bh' => gettext("Arabic/Bahrain"),
  'ar-eg' => gettext("Arabic/Egypt"),
  'ar-iq' => gettext("Arabic/Iraq"),
  'ar-jo' => gettext("Arabic/Jordan"),
  'ar-kw' => gettext("Arabic/Kuwait"),
  'ar-lb' => gettext("Arabic/Lebanon"),
  'ar-ly' => gettext("Arabic/Libya"),
  'ar-ma' => gettext("Arabic/Morocco"),
  'ar-om' => gettext("Arabic/Oman"),
  'ar-qa' => gettext("Arabic/Qater"),
  'ar-sa' => gettext("Arabic/Saudi Arabia"),
  'ar-sy' => gettext("Arabic/Syria"),
  'ar-tn' => gettext("Arabic/Tunisia"),
  'ar-ae' => gettext("Arabic/U.A.E"),
  'ar-ye' => gettext("Arabic/Yemen"),
  'hy'    => gettext("Armenian"),
  'ast'   => gettext("Asturian"),
  'eu'    => gettext("Basque"),
  'be'    => gettext("Belarusian"),
  'bs'    => gettext("Bosnian"),
  'bg'    => gettext("Bulgarian"),
  'ca'    => gettext("Catalan"),
  'zh'    => gettext("Chinese"),
  'zh-cn' => gettext("Chinese/China"),
  'zh-hk' => gettext("Chinese/Hong Kong"),
  'zh-sg' => gettext("Chinese/Singapore"),
  'zh-tw' => gettext("Chinese/Taiwan"),
  'hr'    => gettext("Croatian"),
  'cs'    => gettext("Czech"),
  'da'    => gettext("Danish"),
  'nl'    => gettext("Dutch"),
  'nl-be' => gettext("Dutch/Belgium"),
  'en'    => gettext("English"),
  'en-au' => gettext("English/Australia"),
  'en-bz' => gettext("English/Belize"),
  'en-ca' => gettext("English/Canada"),
  'en-ie' => gettext("English/Ireland"),
  'en-jm' => gettext("English/Jamaica"),
  'en-nz' => gettext("English/New Zealand"),
  'en-ph' => gettext("English/Philippines"),
  'en-za' => gettext("English/South Africa"),
  'en-tt' => gettext("English/Trinidad"),
  'en-gb' => gettext("English/United Kingdom"),
  'en-us' => gettext("English/United States"),
  'en-zw' => gettext("English/Zimbabwe"),
  'eo'    => gettext("Esperanto"),
  'et'    => gettext("Estonian"),
  'fo'    => gettext("Faeroese"),
  'fi'    => gettext("Finnish"),
  'fr'    => gettext("French"),
  'fr-be' => gettext("French/Belgium"),
  'fr-ca' => gettext("French/Canada"),
  'fr-fr' => gettext("French/France"),
  'fr-lu' => gettext("French/Luxembourg"),
  'fr-mc' => gettext("French/Monaco"),
  'fr-ch' => gettext("French/Swizerland"),
  'gl'    => gettext("Galician"),
  'ka'    => gettext("Georgian"),
  'de'    => gettext("German"),
  'de-at' => gettext("German/Austria"),
  'de-de' => gettext("German/Germany"),
  'de-li' => gettext("German/Liechtenstein"),
  'de-lu' => gettext("German/Luxembourg"),
  'de-ch' => gettext("German/Switzerland"),
  'el'    => gettext("Greek"),
  'he'    => gettext("Hebrew"),
  'hu'    => gettext("Hungarian"),
  'is'    => gettext("Icelandic"),
  'id'    => gettext("Indonesian"),
  'in'    => gettext("Indonesian"),
  'ga'    => gettext("Irish"),
  'it'    => gettext("Italian"),
  'it-ch' => gettext("Italian/Switzerland"),
  'ja'    => gettext("Japanese"),
  'ko'    => gettext("Korean"),
  'ko-kp' => gettext("Korean/North Korea"),
  'ko-kr' => gettext("Korean/South Korea"),
  'lv'    => gettext("Latvian"),
  'lt'    => gettext("Lithuanian"),
  'mk-mk' => gettext("Macedonian/Macedonia, F.Y.R. of"),
  'ms'    => gettext("Malay"),
  'no'    => gettext("Norwegian"),
  'nb-no' => gettext("Norwegian Bokmal"),
  'nn-no' => gettext("Norwegian Nynorsk"),
  'pl'    => gettext("Polish"),
  'pt'    => gettext("Portuguese"),
  'pt-br' => gettext("Portuguese/Brazil"),
  'ro'    => gettext("Romanian"),
  'ru'    => gettext("Russian"),
  'gd'    => gettext("Scots Gaelic"),
  'sr'    => gettext("Serbian"),
  'sk'    => gettext("Slovak"),
  'sl'    => gettext("Slovenian"),
  'sb'    => gettext("Sorbian"),
  'es'    => gettext("Spanish"),
  'es-ar' => gettext("Spanish/Argentina"),
  'es-bo' => gettext("Spanish/Bolivia"),
  'es-cl' => gettext("Spanish/Chile"),
  'es-co' => gettext("Spanish/Colombia"),
  'es-cr' => gettext("Spanish/Costa Rica"),
  'es-do' => gettext("Spanish/Dominican Republic"),
  'es-ec' => gettext("Spanish/Ecuador"),
  'es-sv' => gettext("Spanish/El Salvador"),
  'es-gt' => gettext("Spanish/Guatemala"),
  'es-hn' => gettext("Spanish/Honduras"),
  'es-mx' => gettext("Spanish/Mexico"),
  'es-ni' => gettext("Spanish/Nicaragua"),
  'es-pa' => gettext("Spanish/Panama"),
  'es-py' => gettext("Spanish/Paraguay"),
  'es-pe' => gettext("Spanish/Peru"),
  'es-pr' => gettext("Spanish/Puerto Rico"),
  'es-es' => gettext("Spanish/Spain"),
  'es-uy' => gettext("Spanish/Uruguay"),
  'es-ve' => gettext("Spanish/Venezuela"),
  'sv'    => gettext("Swedish"),
  'sv-fi' => gettext("Swedish/Finland"),
  'th'    => gettext("Thai"),
  'tr'    => gettext("Turkish"),
  'uk'    => gettext("Ukrainian"),
  'vi'    => gettext("Vietnamese"),
  'cy'    => gettext("Welsh"),
  'xh'    => gettext("Xhosa"),
  'yi'    => gettext("Yiddish"),
  'zu'    => gettext("Zulu")
);
?>
