<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if (!is_admin($_SESSION['userid']) and empty($_SESSION['ADMIN_UID'])) {
  $_ENV['error']->push_error(_("You do not have permission to switch users."));
  redirect();
}

if ($_GET['return'] == "true" and is_admin($_SESSION['ADMIN_UID'])) {
	$_SESSION['userid'] = $_SESSION['ADMIN_UID'];
  unset($_SESSION['ADMIN_UID']);
  redirect();
}

if (empty($_SESSION['ADMIN_UID'])) {
  $links[] = array(
    "txt" => _("Back to Administration"),
    "url" => "?module=admin",
    "img" => $_ENV['imgs']['back']
  );

	if (!empty($_POST['userid'])) {
		$_SESSION['ADMIN_UID'] = $_SESSION['userid'];
		$_SESSION['userid'] = $_POST['userid'];
    redirect();
	}

	$sql  = "SELECT userid,username ";
	$sql .= "FROM users ";
	$sql .= "WHERE userid != ? ";
	$sql .= "AND active != 'f' ";
	$sql .= "ORDER BY username";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_SESSION['userid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $users = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  $_ENV['tpl']->assign('users',$users);
  $_ENV['tpl']->display("admin/switch_users.tpl");
} else {
  redirect();
}
?>
