<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (permission_check("create_announcements")) {
   $links[] = array(
    "txt" => _("New Announcement"),
    "url" => "?module=announce&action=new",
    "img" => $_ENV['imgs']['new_announce']
	);

  // note the permission for the template
  $_ENV['tpl']->assign("can_create_announcements", 1);
} else {
  $_ENV['tpl']->assign("can_create_announcements", 0);
}

$system = announcements();
$_ENV['tpl']->assign('system',$system);
foreach ($_SESSION['groups'] as $gid) {
  $stmt = $_ENV['dbi']->prepare("SELECT aid from announce_permissions where gid=?");
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($gid));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $a = $result->fetchCol(); 
  $result->free();
  $stmt->free();
  if (count($a) > 0) {
    $a = implode(",",$a);
    $sql  = "SELECT aid,title ";
    $sql .= "FROM announcements ";
    $sql .= "WHERE aid IN ($a) "; // safe: $a just came from the db
    $sql .= "ORDER BY posted DESC";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute();
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
    $a = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
    $result->free();
    $stmt->free();
  }
  $announcements[$gid] = $a;
}
$_ENV['tpl']->assign('announcements',$announcements);
$_ENV['tpl']->display("announce/announce.tpl");
?>
