<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (!is_employee()) {
  $_ENV['error']->push_error(_("You do not have permission to edit groups."));
  redirect();
}

if (!empty($_GET['active']) and permission_check("update_group",$_GET['gid'])) {
	$result = $_ENV['dbi']->extended->autoExecute("groups",
    array("active" => $_GET['active']),
    MDB2_AUTOQUERY_UPDATE,
    sprintf("gid=%s", $_ENV['dbi']->quote($_GET['gid'], 'integer')),
    array('text')); 

  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
}

$links[] = array(
  "txt" => _("Back to Administration"),
  "url" => "?module=admin",
  "img" => $_ENV['imgs']['back']
);

$links[] = array(
  "txt" => _("Create Group"),
  "url" => "?module=groups&action=new",
  "img" => $_ENV['imgs']['new_group']
);

// set type to show in titlebar
if ($_GET['start'] == "") {
	$type = "Default";
} else {
	$type = $_GET['start'];
}

$params = array();
$sql  = "SELECT gid,name,active ";
$sql .= "FROM groups ";

if ($_GET['search'] == "true" and !empty($_POST['criteria'])) {
  $sql .= "WHERE LOWER(name) LIKE LOWER(?) ";
  $params[] = $_POST['criteria'];
} else if ($_GET['start'] != "") {
  if ($_GET['start'] != "ALL") {
	  $sql .= "WHERE UPPER(name) LIKE ? ";
      $params[] = $_GET['start'] . '%';
  }
} else {
  $user = &get_user($_SESSION['userid']);
  $sql_groups = implode(",", $user->groups());
  $sql .= "WHERE gid IN ($sql_groups) "; // safe -- ints from the db itself
}

$sql .= "ORDER BY name";
$stmt = $_ENV['dbi']->prepare($sql);
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute($params);
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$groups = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
$result->free();
$stmt->free();
$_ENV['tpl']->assign('groups',$groups);
$_ENV['tpl']->display("groups/groups.tpl");
?>
