<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

$ugroups = implode(",",$_SESSION['groups']);

// Get the list of *other* groups that thsis user can view
$session_groups = implode(",", $_SESSION['groups']);

// Get the list of groups requested for this screen
$params = array();
$sql  = "SELECT gid,name ";
$sql .= "FROM groups ";
$sql .= "WHERE active='t' ";
$sql .= "AND gid in ({$session_groups}) "; // Only show user groups 
if (!empty($_GET['start'])) {
  if ($_GET['start'] != "ALL") {
    $sql .= "AND UPPER(name) LIKE ? ";
    $params[] = $_GET['start']."%";
  }

  if (!is_employee() and $_GET['start'] != "ALL") {
		$sql .= "AND gid IN ($ugroups) "; // vaguely safe
  }

} else {
	$sql .= "AND gid IN ($ugroups) "; // vaguely safe
}
	
$sql .= "ORDER BY name";

$stmt = $_ENV['dbi']->prepare($sql);
$_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
$result = $stmt->execute($params);
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
$groups = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
$result->free();
$stmt->free();

$count = count($groups);

for ($x = 0;$x < $count;$x++) {
  $groups[$x]['new'] = num_new_issues($groups[$x]['gid']);
  $groups[$x]['open'] = num_open_issues($groups[$x]['gid']);
	$last	= last_activity($groups[$x]['gid']);
  $groups[$x]['date'] = $last['date'];
  $groups[$x]['user'] = $last['user'];
}

$_ENV['tpl']->assign('groups',$groups);
$_ENV['tpl']->display("issues/choose.tpl");

?>
