<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if (empty($_GET['issueid'])) {
	redirect();
}

if (!empty($_GET['private'])
and !empty($_GET['fid'])
and issue_priv($_GET['issueid'],"view_private")) {
  $stmt = $_ENV['dbi']->prepare("SELECT typeid from files where fid=? and file_type='issues'");
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_GET['fid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $id = $result->fetchOne(); 
  $result->free();
  $stmt->free();

  if ($id == $_GET['issueid']) {
    $update = array();
    $types = array();
    $update['private'] = $_GET['private'] == "true" ? "t" : "f";
    $types[] = 'text';
    $result = $_ENV['dbi']->extended->autoExecute("files",
      $update,
      MDB2_AUTOQUERY_UPDATE,
      sprintf("fid=%s", $_ENV['dbi']->quote($_GET['fid'], 'integer')),
      $types); 
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  }
}

if ($_GET['submit'] == "true") {
  upload($_GET['issueid']);
  redirect("?module=issues&action=files&issueid=".$_GET['issueid']);
}

if (can_view_issue($_GET['issueid'])) {
  $links[] = array(
    "txt" => _("Back to Issue"),
    "url" => "?module=issues&action=view&issueid=".$_GET['issueid'],
    "img" => $_ENV['imgs']['back']
  );

  $sql  = "SELECT fid,userid,uploaded_on,name,private ";
  $sql .= "FROM files ";
  $sql .= "WHERE typeid=? ";
  $sql .= "AND file_type='issues' ";
  $sql .= !issue_priv($_GET['issueid'],"view_private") ? "AND private != 't' " : "";
  $sql .= "ORDER BY uploaded_on";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_GET['issueid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $files = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  $_ENV['tpl']->assign('files',$files);

  $_ENV['tpl']->display("issues/files.tpl");
} else {
  redirect();
}
?>
