<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if (empty($_GET['issueid'])) {
  redirect();
}

if(can_view_issue($_GET['issueid'])){
  $links[] = array(
    "txt" => _("Back to Issue"),
    "url" => "?module=issues&action=view&issueid=".$_GET['issueid'],
    "img" => $_ENV['imgs']['back']
  );

  $sql  = "SELECT userid,logged,message,private ";
  $sql .= "FROM issue_log ";
  $sql .= "WHERE issueid=? ";
  $sql .= !is_employee($_SESSION['userid']) ? "AND private != 't' " : "";
  $sql .= "ORDER BY logged";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_GET['issueid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $messages = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  $_ENV['tpl']->assign('messages',$messages);

  $sql  = "SELECT * ";
  $sql .= "FROM issues ";
  $sql .= "WHERE issueid=? ";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_GET['issueid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $issue_row = $result->fetchRow(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  $issue = &get_issue($_GET['issueid']);
  if (!$issue) {
    $_ENV['error']->fatal_error("No such issue");
  }

  $_ENV['tpl']->assign('issue',$issue_row);
  $_ENV['tpl']->assign('assigned',$issue->assignees());
  $_ENV['tpl']->display("issues/view.tpl");
  $_ENV['tpl']->display("issues/view_log.tpl");
} else {
  redirect();
}
?>
