<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if ($_GET['send'] == "true"
and !empty($_POST['username'])
and !empty($_POST['email'])) {
  $sql  = "SELECT userid,primary_email ";
  $sql .= "FROM users ";
  $sql .= "WHERE primary_email=? ";
  $sql .= "AND username=? ";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_POST['email'], $_POST['username']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
  list($userid,$email) = $result->fetchRow(MDB2_FETCHMODE_ORDERED); 
  $result->free();
  $stmt->free();

  if (!empty($userid)) {
    $new_pass = generate_password();
    $result = $_ENV['dbi']->extended->autoExecute("users",
      array("password" => md5($new_pass)),
      MDB2_AUTOQUERY_UPDATE,
      sprintf("userid=%s", $_ENV['dbi']->quote($userid, 'integer')),
      array('text')); 
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);

    $message  = "Password: $new_pass\n\n";
    $message .= "To change your password login at:\n\n"._URL_."\n\n";
    $message .= "and click the 'Preferences' link on the left hand menus.";

    // Make sure we have the mailer class and initialize it
    include_once(_CLASSES_."mail.class.php");
    if (!is_object($mailer)) {
      $mailer = new MAILER();
      $mailer->set("email_from",$_ENV['config']['email']['sender']);
    }
    $mailer->subject("Issue Tracker Forgotten Password");
    $mailer->to($email);
    $mailer->message($message);
    $mailer->send();
    $_ENV['error']->push_error(_("A new password has been sent to your email address on file."));
  } else {
    $_ENV['error']->push_error(_("The information given does not match any users on file."));
  }
}

redirect();
?>
