<?php

if (strpos(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

# General Configuration
if ($_ENV['gid'])
   $gid = $_ENV['gid'];
elseif ($_REQUEST['gid'])
   $gid = $_REQUEST['gid'];

$bgcolor="#ffcf31";

# Num Hours definition
if ($_ENV['hours'])
   $hours = $_ENV['hours']+0;
else
   $hours = $_REQUEST['hours']+0;

# Report Title definition
if ($_ENV['subject'])
   $title = $_ENV['subject'];
elseif ($_REQUEST['subject'])
   $title = $_REQUEST['subject'];
   
# Server definition
if ($_ENV['server'])
   $server = $_ENV['server'];
else
   $server = $_SERVER['SERVER_NAME'];
   
function fulltimeHours ($sec) {
   $hours = floor($sec / 3600);
   $sec = fmod($sec, 3600);
   $mins = floor($sec / 60);
   $sec = fmod($sec, 60);
   return "$hours hrs $mins min";
}

function fulltimeDays ($sec) {
   $hours = floor($sec / 86400);
   $sec = fmod($sec, 86400);
   $mins = floor($sec / 3600);
   $sec = fmod($sec, 3600);
   return "$hours days $mins hrs";
}		     
# -
$now = time();
$begin = $now-($hours*3600);
$_ENV['tpl']->assign('date',date('d/m/Y'));
$closestats = fetch_status(array(TYPE_CLOSED,TYPE_AUTO_CLOSED));
$_ENV['tpl']->assign('closestats',$closestats);
$_ENV['tpl']->assign('bgcolor',$bgcolor);
$_ENV['tpl']->assign('gid',$gid);
$_ENV['tpl']->assign('title', $title);
$_ENV['tpl']->assign('server', $server);


# Query the DataBase
$sql  = "SELECT i.issueid,i.product,i.summary,i.category,i.opened,i.status, i.closed, ";
$sql .= "g.assigned_to, g.gid, gr.name, ";
$sql .= "(select e.action from events e where i.issueid = e.issueid and  e.eid = (select max(eid) " ;
$sql .= "from events where issueid = i.issueid)) as action, ";
$sql .= "(select v.value from  issue_group_fields f, group_field_values v, group_fields gr where f.issueid=i.issueid ";
$sql .= "and f.value_idx = v.value_idx and f.gfid = v.gfid and gr.gfid = f.gfid and gr.gid = g.gid ) as solution, ";
$sql .= "i.istatus ";
$sql .= "FROM issues i,issue_groups g, groups gr ";
$sql .= "WHERE i.issueid=g.issueid ";
if (isset($gid))
    $sql .= "and g.gid in ($gid) ";
$sql .= "and g.gid = gr.gid ";
$sql .= "and (i.status not in ($closestats[0] ";
for ($i=1;$i< count($closestats); $i++) {
     $sql .= ", ";   
     $sql .=" $closestats[$i]";
}
$sql .= ") or i.closed between $begin and $now) ";
$sql .= "ORDER BY g.gid, i.issueid";

$stmt = $_ENV['dbi']->prepare($sql);
$result = $stmt->execute();
$_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
$issues = $result->fetchAll(MDB2_FETCHMODE_ASSOC);
$result->free();
$stmt->free();

for ($i = 0; $i < count($issues); $i++){
   if ($_ENV['timeUnit'] == 'days')
     $issues[$i]['timeopen']=fulltimeDays($now - $issues[$i]['opened']);
   else
     $issues[$i]['timeopen']=fulltimeHours($now - $issues[$i]['opened']);
}

$_ENV['tpl']->assign('issues',$issues);

 $output = $_ENV['tpl']->fetch("reports/automatic/groupIssues.tpl");

# Send Email to user
$hdrs = array(  'From'    => $sender,
                'Subject' => "$subject"
             );
$crlf = "\n";
$mime = new Mail_mime($crlf);
$mime->setHTMLBody($output);
$body = $mime->get();
$hdrs = $mime->headers($hdrs);
$mail =& Mail::factory('mail');
$mail->send($_ENV['emails'], $hdrs, $body);

?>
