<?php
/**
 * @package EnterTrack
 * @subpackage Reports_Module
 */

if (strpos(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

if ($_GET['subaction'] == "delete" and !empty($_GET['rid'])) {
  if ($_GET['confirm'] == "true") {
    $sql  = "DELETE FROM reports ";
    $sql .= "WHERE rid='".$_GET['rid']."' ";
    $sql .= "AND userid='".$_SESSION['userid']."'";
    $result = $_ENV['dbi']->extended->autoExecute("reports",
      null,
      MDB2_AUTOQUERY_DELETE,
      sprintf("rid=%s and userid=%s", 
            $_ENV['dbi']->quote($_GET['rid'], 'integer'), 
            $_ENV['dbi']->quote($_SESSION['userid'], 'integer'))); 
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    redirect("?module=reports&action=manage");
  } 
} else if ($_GET['subaction'] == "rename" and !empty($_GET['rid'])) {
  if ($_GET['confirm'] == "true") {
    if (empty($_POST['reportname'])) {
      $_ENV['error']->push_error(_("You must enter a name for this report."));
    } else {
      $result = $_ENV['dbi']->extended->autoExecute("reports",
        array("name" => $_POST['reportname']),
        MDB2_AUTOQUERY_UPDATE,
        sprintf("rid=%s", $_ENV['dbi']->quote($_GET['rid'], 'integer')),
        array('text')); 
      $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
      redirect("?module=reports&action=manage");
    }
  } else {
    $sql  = "SELECT name ";
    $sql .= "FROM reports ";
    $sql .= "WHERE rid=? ";
    $stmt = $_ENV['dbi']->prepare($sql);
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($_GET['rid']));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    $name = $result->fetchOne(); 
    $result->free();
    $stmt->free();
    if (!empty($name)) {
      $_ENV['tpl']->assign('name',$name);
    }
  }
} else {
  $sql  = "SELECT rid,name,savedate ";
  $sql .= "FROM reports ";
  $sql .= "WHERE userid=? ";
  
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_SESSION['userid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
  $reports = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  
  if (is_array($reports)) {
    $_ENV['tpl']->assign('reports',$reports);
  }
}

$_ENV['tpl']->display("reports/manage.tpl");
?>
