<?php
/**
 * @package EnterTrack
 * @subpackage Reports_Module
 */

if (strpos(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}
  
if (is_manager()) {
  $sql  = "SELECT gid ";
  $sql .= "FROM groups ";
  $sql .= "where active='t' ";
  $sql .= "ORDER BY name";
  $stmt = $_ENV['dbi']->prepare("SELECT gid from groups where active='t' order by name");
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute();
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
  $groups = $result->fetchCol(); 
  $result->free();
  $stmt->free();
} else {
  $groups = $_SESSION['groups'];  
}

// add visible groups to possible reports
foreach ($groups as $key=>$gid) 
{
    $stmt = $_ENV['dbi']->prepare("SELECT owner_gid from group_issue_visibility where viewer_gid=?");
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute(array($gid));
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    $visible_groups = $result->fetchCol(); 
    $result->free();
    $stmt->free();

    $groups = array_merge($groups, $visible_groups);   
}

$groups = array_unique($groups);

$_ENV['tpl']->assign('groups', $groups);
$_ENV['tpl']->assign('options',$options);
$_ENV['tpl']->display("reports/modified_form.tpl");
?>
