<?php
/* $Id:$ */
/**
 * @package EnterTrack
 * @subpackage Reports_Module
 */

if (strpos(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
  exit;
}

// Get user permissions, if not admin of any group redirect
$groups = array();
if( is_admin() ) {
    $stmt = $_ENV['dbi']->prepare("SELECT gid from groups where active='t' order by name");
    $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
    $result = $stmt->execute();
    $_ENV['error']->check_pear_error($result, __FILE__, __LINE__);
    $groups = $result->fetchCol(); 
    $result->free();
    $stmt->free();
}
else {
    foreach($_SESSION['groups'] as $group) {      
        if ( is_group_admin($group) ) {
            $groups[] = $group;  
        }
    }
}
if (empty($groups)) {
    $_ENV['error']->push_error( _("You don't have permission to run 'Raw Data' report.") );
    redirect();
    exit;  
}

$_ENV['tpl']->assign('report', _('Raw Data') );
$_ENV['tpl']->assign('groups', $groups);
$_ENV['tpl']->display("reports/rawdata.tpl");
?>
