<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (!is_employee()) {
  $_ENV['error']->push_error(_("You do not have permission to add new users."));
  redirect();
}

for ($x = 1;$x < 11;$x++) {
  if (!empty($_POST['username'][$x]) and !empty($_POST['primary_email'][$x])) {

    // set up the data to create the user
    $user_data = array();
    $user_data['username'] = $_POST['username'][$x];
    $user_data['primary_email'] = $_POST['primary_email'][$x];
    if (!empty($_POST['first_name'][$x])) { $user_data['first_name'] = $_POST['first_name'][$x]; }
    if (!empty($_POST['last_name'][$x])) { $user_data['last_name'] = $_POST['last_name'][$x]; }

    if (is_admin()) {
      $user_data['admin'] = ($_POST['admin'][$x] == "on");
    }

    $user_data['password'] = generate_password();

    // create the user from that array
	  $user = create_user($user_data);

    // fix up the resulting user
  	if ($user) {
      $_ENV['error']->push_error(sprintf(_("User '%s' created successfully."), $_POST['username'][$x]));
      
      if ($_POST['emp'][$x] == "on") {
      	group_useradd($user->userid(), _EMPLOYEES_);
      }

      send_new_user_email($user_data['primary_email'], $user_data['username'], $user_data['password']);

      redirect("?module=users");
	  } else {
      $_ENV['error']->push_error(sprintf(_("User '%s' was not created."), $_POST['username'][$x]));
    }
  }
}

$_ENV['tpl']->display("users/new.tpl");
?>
