<?php

if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
  print "Direct module access forbidden.";
	exit;
}

if (!is_employee()) {
  $_ENV['error']->push_error(_("You do not have permission to view this user."));
  redirect();
}

// reset user's password
if(!empty($_GET['uid']) and $_GET['newpass'] == "TRUE"){
   reset_passwd($_GET['uid']);
}

if (!$_ENV['config']['features']['disable_user_change_password']) {
   $links[] = array(
     "txt" => _("Reset Password"),
     "url" => "?module=users&action=view&uid=".$_GET['uid']."&newpass=TRUE",
     "img" => $_ENV['imgs']['private']
   );
}

if(empty($_GET['uid'])) { die("No user specified"); }
$user = &get_user($_GET['uid']);
if (!$user) { die("No such user"); }

if ($user->is_email_only()) {
  $user_array = array(
    'userid' => $user->userid(),
    'email' => $user->primary_email(),
    'primary_email' => $user->primary_email(),
    'alternate_emails' => $user->alternate_emails(),
  );
  $_ENV['tpl']->assign('user',$user_array);

  $_ENV['tpl']->assign('existing_users', enumerate_users(false));

  $_ENV['tpl']->display("users/view_email_only.tpl");
  // note: form goes to update_email_only.php
} else {
  $links[] = array(
    "txt" => _("Edit Emails"),
    "url" => "?module=users&action=email&uid=".$_GET['uid'],
    "img" => $_ENV['imgs']['email']
  );

  $user_array = array(
    'userid' => $user->userid(),
    'username' => $user->username(),
    'first_name' => $user->first_name(),
    'last_name' => $user->last_name(),
    'primary_email' => $user->primary_email(),
    'alternate_emails' => $user->alternate_emails(),
    'sms' => $user->sms(),
    'active' => $user->active(),
    'admin' => $user->admin(),
  );
  $_ENV['tpl']->assign('user',$user_array);

  $params = array();
  $sql  = "SELECT permid,permission ";
  $sql .= "FROM permissions ";
  $sql .= "WHERE user_perm = 't' ";
  $sql .= "ORDER BY permission";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute();
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $permissions = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  $_ENV['tpl']->assign('permissions',$permissions);

  $user_groups = $user->groups();
  $_ENV['tpl']->assign('user_groups',$user_groups);
  $ugroups = implode(",",$user_groups);
  
  $stmt = $_ENV['dbi']->prepare("SELECT permid from user_permissions where userid=?");
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute(array($_GET['uid']));
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $user_perms = $result->fetchCol(); 
  $result->free();
  $stmt->free();
  if (!is_array($user_perms)) {
    $user_perms = array();
  }
  $_ENV['tpl']->assign('user_perms',$user_perms);

  $sql  = "SELECT gid,name ";
  $sql .= "FROM groups ";
  if (!empty($ugroups)) {
    $sql .= "WHERE gid NOT IN ($ugroups) "; // safe -- from a DB query, above
  }
  $sql .= "ORDER BY name";
  $stmt = $_ENV['dbi']->prepare($sql);
  $_ENV['error']->check_pear_error($stmt, __FILE__, __LINE__);
  $result = $stmt->execute($params);
  $_ENV['error']->check_pear_error($result, __FILE__, __LINE__); 
  $groups = $result->fetchAll(MDB2_FETCHMODE_ASSOC); 
  $result->free();
  $stmt->free();
  $_ENV['tpl']->assign('groups',$groups);

  $_ENV['tpl']->display("users/view_regular.tpl");
  // note: form goes to update_regular.php
}

