<?php

define("_PATH_",dirname(dirname(__FILE__)));
include(_PATH_."/setup/util/common.php");

// make sure this user has authenticated for setup
if (!isset($_SESSION['authenticated']) || !$_SESSION['authenticated']) {
  redirect("index.php");
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  // Check to see if this was a request to start over
  if (isset($_POST['_start_over'])) {
    redirect("index.php");
  }

  // redirect to the EnterTrack main page
  redirect(".."); // this is an illegal redirect... better way?
}

// Draw the install page
page_header("Setup :: Finish",
  "Setup is finished!");
?>
<p>The setup wizard is finished.  Click "Next" to access your EnterTrack installation.</p>
<?php if ($_SESSION['database']['setup_type'] == 'install'): ?>
  <p>Log in with username 'admin' and password 'demo'.
  <?php if ($_SESSION['database']['install_data_type'] == 'demo'): ?>
    An <i>employee</i> user has also been created, with username 'demo' and password 'demo'.
  <?php endif; ?>
  </p>
<?php endif; ?>

<?php
navigation_box(TRUE);
page_footer();
?>

