<!-- Begin groups/view.tpl -->
{opentable}
{titlebar colspan=2 title="Group Information"|t}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Name{/t}:</td>
<td class="data" width="80%">{$group.name}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Address{/t}:</td>
<td class="data" width="80%">{$group.address}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">&nbsp;</td>
<td class="data" width="80%">{$group.address2}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Primary Contact{/t}:</td>
<td class="data" width="80%">{$group.contact}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Technical Contact{/t}:</td>
<td class="data" width="80%">{$group.tech}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Technical Account Manager{/t}:</td>
<td class="data" width="80%">{$group.tao}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Business Relation Manager{/t}:</td>
<td class="data" width="80%">{$group.brm}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Sales Contact{/t}:</td>
<td class="data" width="80%">{$group.sales}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Contract Type{/t}:</td>
<td class="data" width="80%">{$group.group_type|capitalize}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Hours/Issues Purchased{/t}:</td>
<td class="data" width="80%">{$group.bought}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Contract Amount{/t}:</td>
<td class="data" width="80%">{$group.amount|number_format:2}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Start Date{/t}:</td>
<td class="data" width="80%">{$group.start_date|format_datetime}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}End Date{/t}:</td>
<td class="data" width="80%">{$group.end_date|format_datetime}</td>
</tr>
{if !empty($group.email)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Group Email{/t}:</td>
<td class="data" width="80%">{$group.email}</td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Notes{/t}:</td>
<td class="data" width="80%">{$group.notes}</td>
</tr>
{if is_array($members)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Group Members{/t}:</td>
<td class="data" width="80%">
<b>{t}Notes{/t}:</b><br />
{t}Users in{/t} <font color="red">{t}red{/t}</font> {t}are system administrators{/t}.<br />
{t}Users in{/t} <font color="blue">{t}blue{/t}</font> {t}are group administrators{/t}.<br />
<table width="100%" cellpadding="2" cellspacing="0">
{php}$col = 0;{/php}
{foreach from=$members key=userid item=username}
{php}if ($col == 0) { print "<tr class=\"data\">\n"; }{/php}
{if is_admin($userid)}
<td width="33%" style="border: none;"><font color="red">{$userid|ident}</font></td>
{elseif permission_check("update_group",$smarty.get.gid,$userid)}
<td width="33%" style="border: none;"><font color="blue">{$userid|ident}</font></td>
{else}
<td width="33%" style="border: none;">{$userid|ident}</td>
{/if}
{php}$col++; if ($col == 3) { print "</tr>\n"; $col = 0; }{/php}
{/foreach}
</table>
</td>
</tr>
{/if}
{closetable}
<!-- End groups/view.tpl -->

