<!-- Begin issues/times.tpl -->
<form method="post" action="?module=issues&action=times&issueid={$smarty.get.issueid}">
<input type="hidden" name="submit" value="true" />
{opentable}
{titlebar colspan=2 title="Modify Issue Open/Close Times"|t}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Issue #{/t}:</td>
<td class="data" width="80%">{$smarty.get.issueid}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Summary{/t}:</td>
<td class="data" width="80%">{$issue.summary}</td>
</tr>

<tr>
<td class="label" width="20%" align="right" valign="top">{t}Opened{/t}:</td>
<td class="data" width="80%">
{if isset($smarty.post.real_opened)}
{datetime_select name="real_opened" value=$smarty.post.real_opened}
{else}
{datetime_select name="real_opened" value=$issue.opened|format_datetime}
{/if}
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Closed{/t}:</td>
<td class="data" width="80%">
{if isset($smarty.post.real_closed)}
{datetime_select name="real_closed" value=$smarty.post.real_closed}
{else}
{datetime_select name="real_closed" value=$issue.closed|format_datetime}
{/if}
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Justification{/t}:</td>
<td class="data" width="80%">
{if !empty($issue.modification_note)}
<input type="text" name="modification_note" value="{$issue.modification_note}" size="50" />
{else}
{if isset($smarty.post.modification_note)}
<input type="text" name="modification_note" value="{$smarty.post.modification_note}" size="50" />
{else}
<input type="text" name="modification_note" value="Reason for time adjustment" size="50" onClick="if (this.value == 'Reason for time adjustment') {ldelim} this.value=''; {rdelim}" />
{/if}
{/if}
</td>
</tr>

{if is_employee($smarty.session.userid) and !empty($issue.due_date)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Due Date{/t}:</td>
<td class="data" width="80%">{$issue.due_date|format_datetime}</td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Opened By{/t}:</td>
<td class="data" width="80%">{ident id=$issue.opened_by}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Assigned To{/t}:</td>
<td class="data" width="80%">
{foreach from=$assigned key=gid item=userid}
{groupname id=$gid}: {ident id=$userid}<br />
{/foreach}
</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Product{/t}:</td>
<td class="data" width="80%">{product id=$issue.product}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Category{/t}:</td>
<td class="data" width="80%">{category id=$issue.category}</td>
</tr>
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Severity{/t}:</td>
<td class="data" width="80%"><img src="{sevimg sev=$issue.severity}" border="0" />({sevtxt sev=$issue.severity})</td>
</tr>
{if is_employee($smarty.session.userid) and !empty($issue.iseverity) and $issue.iseverity != $issue.severity}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Internal Severity{/t}:</td>
<td class="data" width="80%"><img src="{sevimg sev=$issue.iseverity}" border="0" />({sevtxt sev=$issue.iseverity})</td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Problem{/t}:</td>
<td class="data" width="80%">{$issue.problem|format}</td>
</tr>
<tr class="titlebar"><td colspan="2"><input type="submit" value="{t}Update{/t}" /></td></tr>
{closetable}
</form>
<br />
<!-- End issues/times.tpl -->

