<!-- Begin reports/group_issues_form.tpl -->
<form name="status_report_form" method="post" target="_blank" action="?module=reports&action=generate&kind={$kind}&type={$type}&nonav=true&noheader=true&nofooter=true&print=true">
{opentable}
{if $report}
{titlebar colspan=2 title="$report Options"}
{else}
{titlebar colspan=2 title="Report Options"|t}
{/if}
<tr>
<td class="label" width="20%" align="right">{t}Report Name{/t}:</td>
<td class="data" width="80%"><input type="text" size="64" maxlength="256" name="name" value="{$smarty.post.name}" /></td>
</tr>
<tr>
<td class="label" width="20%" align="right">{t}Save Report{/t}?</td>
<td class="data">
	<input type="checkbox" name="options[]" value="save_report">
</td>
<tr>
<td class="label" width="20%" align="right">{t}Group{/t}:</td>
<td class="data" width="80%">
<select name="gid" style="width: 99%;">
<option value="ALL">{t}---------- ALL ----------{/t}</option>
{foreach from=$groups item=gid}
<option value="{$gid}">{groupname id=$gid}</option>
{/foreach}
</select>
</td>
</tr>
<tr>
<td class="label" width="20%" align="right">{t}Date Range{/t}:</td>
<td class="data" width="80%">
{datetime_select name="sdate" value=$smarty.post.sdate}
 - 
{datetime_select name="edate" value=$smarty.post.edate}
</td>
</tr>
{if $categories}
<tr>
<td class="label" width="20%" align="right">{t}Categories{/t}:<br /><small>{t}(select one or more){/t}</small></td>
<td class="data" width="80%">
<select name="categories[]" multiple="multiple" size="5" style="width: 99%;">
{foreach from=$categories item=category}
<option value="{$category}">{$category}</option>
{/foreach}
</select>
</td>
</tr>
{/if}
{if $statuses}
<tr>
<td class="label" width="20%" align="right">{t}Statuses{/t}:<br /><small>{t}(select one or more){/t}</small></td>
<td class="data" width="80%">
<select name="statuses[]" multiple="multiple" size="5" style="width: 99%;">
{foreach from=$statuses item=status}
<option value="{$status}">{$status}</option>
{/foreach}
</select>
</td>
</tr>
{/if}
{if $products}
<tr>
<td class="label" width="20%" align="right">{t}Products{/t}:<br /><small>{t}(select one or more){/t}</small></td>
<td class="data" width="80%">
<select name="products[]" multiple="multiple" size="5" style="width: 99%;">
{foreach from=$products item=product}
<option value="{$product}">{$product}</option>
{/foreach}
</select>
</td>
</tr>
{/if}
{if $technicians}
<tr>
<td class="label" width="20%" align="right">{t}Technicians{/t}:<br /><small>{t}(select one or more){/t}</small></td>
<td class="data" width="80%">
<select name="technicians[]" multiple="multiple" size="5" style="width: 99%;">
{foreach from=$technicians key=id item=tech}
{if !is_null($tech.userid)}
<option value="{$tech.userid}">{$tech.username} - {$tech.first_name} {$tech.last_name}</option>
{/if}
{/foreach}
</select>
</td>
</tr>
{/if}
{if $severities}
<tr>
<td class="label" width="20%" align="right">{t}Severities{/t}:<br /><small>{t}(select one or more){/t}</small></td>
<td class="data" width="80%">
	<select name="severities[]" multiple="multiple" size="5" style="width: 99%;">
		<option value="1">{t}Urgent{/t}</option>
		<option value="2">{t}High{/t}</option>
		<option value="3">{t}Normal{/t}</option>
		<option value="4">{t}Low{/t}</option>
	</select>
</td>
</tr>
{/if}
<!--	  Fields to include in issue reports added by Tim Boring ( tim -at- timboring dot com ) -->
<tr>
<td class="label" width="20%" align="right">{t}Fields{/t}:</td>
<td class="data" width="80%"> 
{foreach from=$issue_fields key=issue_field item=text}
{if is_array($smarty.post.issue_fields)}
<input type="checkbox" name="issue_fields[]" value="{$issue_field}"{if in_array("$issue_field",$smarty.post.issue_fields)} checked="checked"{/if} />{_ txt=$text}<br/>
{elseif ($text == 'Issue Id' || $text == 'Summary')}
<input type="checkbox" name="issue_fields[]" checked="checked" value="{$issue_field}" />{_ txt=$text}<br/>
{else}
<input type="checkbox" name="issue_fields[]" value="{$issue_field}" />{_ txt=$text}<br/>
{/if}
{/foreach}
</td>
</tr>
<!--	  Sort Options for issue reports added by Tim Boring ( tim -at- timboring dot com ) -->
<tr>
<td class="label" width="20%" align="right">{t}Sort Options{/t}:<br /><small>{t}(by date opened){/t}</small></td>
<td class="data" width="80%"> 
{foreach from=$sort_options key=sort_option item=text name=sort_options}
{if is_array($smarty.post.sort_options)}
<input type="radio" name="sort_options[]" value="{$sort_option}"{if in_array("$sort_option",$smarty.post.sort_options)} checked="checked"{/if} />{_ txt=$text}<br/>
{else}
<input type="radio" name="sort_options[]" value="{$sort_option}"{if $smarty.foreach.sort_options.first} checked="checked"{/if} />{_ txt=$text}<br/>
{/if}
{/foreach}
</td>
</tr>
<!-- Include closed issues? -->
<!-- Added by Tim Boring (tim -at- timboring dot com), inspired by David Joyce's CVS dump patch-->
<tr>
<td class="label" width="20%" align="right">{t}Include closed issues?{/t}</td>
<td class="data" width="80%"><input type="checkbox" name="closed" /></td>
<!-- Export option added by Tim Boring ( tim -at- timboring dot com ) 1/24/06 -->
<tr>
<td class="label" width="20%" align="right">{t}Export Report{/t}?</td>
<td class="data">
	<input type="checkbox" name="export" value="true">{t}Export report{/t}<br/>
</td>
</tr>
{if is_array($export_formats)}
<tr>
<td class="label" width="20%" align="right">{t}Export Format{/t}:</td>
<td class="data">
	<select name="export_format">
	{foreach from=$export_formats key=export_format item=text}
		<option value="{$export_format}">{_ txt=$text}</option>
	{/foreach}
	</select>
</td>
</tr>
{/if}
<tr>
<td class="label" width="20%" align="right">{t}Export Filename{/t}:</td>
<td class="data">
	<input type="text" value="et_report" name="export_options[]"> ({t}do not include extension{/t})
</td>
</tr>
<tr class="titlebar"><td colspan="2"><input type="submit" value="{t}Generate Report{/t}" /></td></tr>
{closetable}
</form>
<!-- End reports/group_issues_form.tpl -->

