<!-- Being reports/manage.tpl -->
{if $smarty.get.subaction eq "delete"}
{opentable}
{titlebar colspan="2" title="Delete Stored Report"|t}
<tr class="label"><td colspan="2">{t}Are you sure you want to delete this report?{/t}</td></tr>
<tr class="data">
<td width="50%" align="center">
<form method="post" action="?module=reports&action=manage&subaction=delete&rid={$smarty.get.rid}&confirm=true">
<input type="hidden" name="confirm" value="true" />
<input type="submit" value="{t}Confirm{/t}" />
</form>
</td>
<td width="50%" align="center">
<form method="post" action="?module=reports&action=manage">
<input type="submit" value="{t}Cancel{/t}" />
</form>
</td>
</tr>
{closetable}
{elseif $smarty.get.subaction eq "rename"}
<form method="post" action="?module=reports&action=manage&subaction=rename&rid={$smarty.get.rid}&confirm=true">
{opentable}
{titlebar colspan="2" title="Rename Report"}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Report Name{/t}:</td>
<td class="data" width="80%"><input type="text" size="32" name="reportname" value="{$name}" /></td>
</tr>
<tr class="titlebar"><td colspan="2"><input type="submit" value="{t}Rename Report{/t}" /></td></tr>
{closetable}
</form>
{else}
{opentable}
{titlebar colspan=5 title="Stored Reports"|t}
<tr class="tablehead">
<td>{t}Name{/t}</td>
<td width="15%" align="center">{t}Generated{/t}</td>
<td width="5%" align="center">{t}Rename{/t}</td>
<td width="5%" align="center">{t}View{/t}</td>
<td width="5%" align="center">{t}Delete{/t}</td>
</tr>
{if is_array($reports)}
{foreach from=$reports item=report}
<tr class="data">
<td>{$report.name}</td>
<td width="15%" align="center">{$report.savedate|format_datetime}</td>
<td width="5%" align="center"><a href="?module=reports&action=manage&subaction=rename&rid={$report.rid}"><img src="{$smarty.env.imgs.edit}" border="0" alt="{t}Rename{/t}" /></a></td>
<td width="5%" align="center"><a target="_blank" href="?module=reports&action=load&rid={$report.rid}&nonav=true&noheader=true&nofooter=true"><img src="{$smarty.env.imgs.motd}" border="0" alt="{t}View{/t}" /></a></td>
<td width="5%" align="center"><a href="?module=reports&action=manage&subaction=delete&rid={$report.rid}"><img src="{$smarty.env.imgs.delete}" border="0" alt="{t}Delete{/t}" /></a></td>
</tr>
{/foreach}
{else}
<tr class="data"><td colspan="5" align="center">{t}You currently have no stored reports.{/t}</td></tr>
{/if}
{closetable}
{/if}
<!-- End reports/manage.tpl -->
