<!-- Begin reports/reports/issues.tpl -->
<table width="100%" border="0" cellspacing="0" cellpadding="2">
{foreach from=$report.issues item=issue}
<tr><td colspan="2" class="subtitle">({t}Issue #{/t}{$issue.issueid}) {$issue.summary}</td></tr>
{if is_array($smarty.post.fields)}
{if in_array("opened",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Opened{/t}:</td>
<td class="data" width="80%">{$issue.opened|format_datetime}</td>
</tr>
{/if}
{if in_array("modified",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Updated{/t}:</td>
<td class="data" width="80%">{$issue.modified|format_datetime}</td>
</tr>
{/if}
{if in_array("closed",$smarty.post.fields) and !empty($issue.closed)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Closed{/t}:</td>
<td class="data" width="80%">{$issue.closed|format_datetime}</td>
</tr>
{/if}
{if in_array("opened_by",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Opened By{/t}:</td>
<td class="data" width="80%">{ident id=$issue.opened_by}</td>
</tr>
{/if}
{if in_array("assigned_to",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Assigned To{/t}:</td>
<td class="data" width="80%">
{foreach from=$issue.assigned key=group item=user}
{groupname id=$group}: {ident id=$user}<br />
{/foreach}
</td>
</tr>
{/if}
{if in_array("status",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Status{/t}:</td>
<td class="data" width="80%">{status id=$issue.status}</td>
</tr>
{/if}
{if in_array("product",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Product{/t}:</td>
<td class="data" width="80%">{product id=$issue.product}</td>
</tr>
{/if}
{if in_array("category",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Category{/t}:</td>
<td class="data" width="80%">{category id=$issue.category}</td>
</tr>
{/if}
{if in_array("severity",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Severity{/t}:</td>
<td class="data" width="80%">{$issue.severity} <img src="{sevimg sev=$issue.severity}" width="16" height="16" border="0" /></td>
</tr>
{/if}
{if in_array("problem",$smarty.post.fields)}
<tr>
<td class="label" width="20%" align="right" valign="top">{t}Problem{/t}:</td>
<td class="data" width="80%">{$issue.problem|format}</td>
</tr>
{/if}
{/if}
{if $smarty.post.show_events eq "on" and is_array($issue.events)}
{foreach from=$issue.events item=event}
<tr><td class="label" colspan="2">{t}Event posted by{/t} {ident id=$event.userid} [{$event.performed_on|format_datetime}]</td></tr>
<tr>
<td class="data" colspan="2">
{$event.action|format}
</td>
</tr>
{/foreach}
{/if}
{/foreach}
</table>
<!-- End reports/reports/issues.tpl -->

